<?php

##################################################################################
#    PHP-RESIDENCE
#    Copyright (C) 2001-2005 by Marco Maria Francesco De Santis (marco@digitaldruid.net)
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
##################################################################################

$pag = "crea_modelli.php";
$titolo = "Crea modelli PHP-Residence";

include("./dati/dati_connessione.php");
include("./includes/funzioni_$PHPR_DB_TYPE.php");
$numconnessione = connetti_db($PHPR_DB_NAME,$PHPR_DB_HOST,$PHPR_DB_PORT,$PHPR_DB_USER,$PHPR_DB_PASS,$PHPR_LOAD_EXT);
include ("./includes/funzioni.php");
include ("./includes/sett_gio.php");
include ("./includes/funzioni_costi_agg.php");
$tablenometariffe = $PHPR_TAB_PRE."ntariffe".$anno;
$tableprenota = $PHPR_TAB_PRE."prenota".$anno;
$tableperiodi = $PHPR_TAB_PRE."periodi".$anno;
$tableregole = $PHPR_TAB_PRE."regole".$anno;
$tableanni = $PHPR_TAB_PRE."anni";
$tablepersonalizza = $PHPR_TAB_PRE."personalizza";


$id_utente = controlla_login($numconnessione,$PHPR_TAB_PRE,$id_sessione,$nome_utente_phpr,$password_phpr,$anno);
if ($id_utente and $id_utente == 1) {


if ($tema[$id_utente] and $tema[$id_utente] != "base" and @is_dir("./includes/themes/".$tema[$id_utente])) include("./includes/themes/".$tema[$id_utente]."/head.php");
else include ("./includes/head.php");


$Euro = nome_valuta();

function mex2 ($messaggio,$pagina,$lingua) {
if ($lingua != "ita") {
include("./includes/lang/$lingua/$pagina");
} # fine if ($lingua != "ita")
return $messaggio;
} # fine function mex2

if (defined("C_CARTELLA_CREA_MODELLI")) $percorso_cartella_modello = C_CARTELLA_CREA_MODELLI;
else $percorso_cartella_modello = "dati";

if (strlen($lingua_modello) > 3 or !@is_dir("./includes/lang/".$lingua_modello) or str_replace(".","",$lingua_modello) != $lingua_modello) $lingua_modello = $lingua_mex;


if ($crea_modello) {
$mostra_form_creazione = "NO";

if (C_BACKUP_E_MODELLI_CON_NUOVI_DATI == "NO") $fonte_dati_conn = "attuali";
if ($fonte_dati_conn == "attuali") {
$M_PHPR_DB_TYPE = $PHPR_DB_TYPE;
$M_PHPR_DB_NAME = $PHPR_DB_NAME;
$M_PHPR_DB_HOST = $PHPR_DB_HOST;
$M_PHPR_DB_PORT = $PHPR_DB_PORT;
$M_PHPR_DB_USER = $PHPR_DB_USER;
$M_PHPR_DB_PASS = $PHPR_DB_PASS;
$M_PHPR_LOAD_EXT = $PHPR_LOAD_EXT;
$M_PHPR_TAB_PRE = $PHPR_TAB_PRE;
} # fine if ($fonte_dati_conn == "attuali")
if ($fonte_dati_conn == "nuovi") {
$M_PHPR_DB_TYPE = $T_PHPR_DB_TYPE;
$M_PHPR_DB_NAME = $T_PHPR_DB_NAME;
$M_PHPR_DB_HOST = $T_PHPR_DB_HOST;
$M_PHPR_DB_PORT = $T_PHPR_DB_PORT;
$M_PHPR_DB_USER = $T_PHPR_DB_USER;
$M_PHPR_DB_PASS = $T_PHPR_DB_PASS;
$M_PHPR_LOAD_EXT = $T_PHPR_LOAD_EXT;
$M_PHPR_TAB_PRE = $T_PHPR_TAB_PRE;
} # fine if ($fonte_dati_conn == "attuali")

function includi_file ($file_incluso,$file) {
if (defined("C_CARTELLA_FILES_REALI") and substr($file_incluso,0,7) != "./dati/") $linee_file = file(C_CARTELLA_FILES_REALI.$file_incluso);
else $linee_file = file("$file_incluso");
fwrite($file,"
###########################################
###  INIZIO $file_incluso 
###########################################
");
for ($num1 = 0 ; $num1 < count($linee_file) ; $num1++) {
if (!eregi("^<\?",$linee_file[$num1]) and !eregi("^\?>",$linee_file[$num1])) fwrite($file,$linee_file[$num1]);
} # fine for $num1
fwrite($file,"
###########################################
###  FINE $file_incluso 
###########################################
");
} # fine function includi_file

function formatta_input_var_x_file ($input_utente) {
if (@get_magic_quotes_gpc()) $input_utente = stripslashes($input_utente);
$input_utente = str_replace("\\","\\\\",$input_utente);
$input_utente = str_replace("\"","\\\"",$input_utente);
return $input_utente;
} # fine function formatta_input_var_x_file



if ($modello_disponibilita) {
if (controlla_anno($anno_modello) != "SI") {
$continua = "NO";
$anno_modello = "";
} # fine if (controlla_anno($anno_modello) != "SI")
$tableperiodi_modello = $PHPR_TAB_PRE."periodi".$anno_modello;

$data_inizioperiodo = $inizioperiodo;
$data_fineperiodo = $fineperiodo;
$date_in_menu = "";
$idinizioperiodo = esegui_query("select idperiodi from $tableperiodi_modello where datainizio = '$inizioperiodo' ");
$num_idinizioperiodo = numlin_query($idinizioperiodo);
if ($num_idinizioperiodo == 0) { $idinizioperiodo = 10000; }
else { $idinizioperiodo = risul_query($idinizioperiodo,0,idperiodi); }
$inizioperiodo = $idinizioperiodo;
$idfineperiodo = esegui_query("select idperiodi from $tableperiodi_modello where datafine = '$fineperiodo' ");
$num_idfineperiodo = numlin_query($idfineperiodo);
if ($num_idfineperiodo == 0) { $idfineperiodo = -1; }
else { $idfineperiodo = risul_query($idfineperiodo,0,idperiodi); }
$fineperiodo = $idfineperiodo ;
if ($idfineperiodo < $idinizioperiodo) {
echo mex("Le date sono sbagliate",$pag).". <br>";
$continua = "NO";
} # fine if ($idfineperiodo < $idinizioperiodo)
else {
$file_intero = file("./dati/selectperiodi$anno_modello.1.php");
$num_linee_file_intero = count($file_intero);
$pag_gm = "giorni_mesi.php";
$m_tipo_periodi = esegui_query("select tipo_periodi from $tableanni where idanni = $anno_modello");
$m_tipo_periodi = risul_query($m_tipo_periodi,0,0);
for ($num1 = 0 ; $num1 < $num_linee_file_intero ; $num1++) {
if (substr($file_intero[$num1],0,7) == "<option") {
$data_option = substr($file_intero[$num1],16,10);
$id_data_option = esegui_query("select idperiodi from $tableperiodi_modello where datainizio = '$data_option' ");
$esiste_data_option = numlin_query($id_data_option);
if ($esiste_data_option == 1) $id_data_option = risul_query($id_data_option,0,idperiodi);
else {
$id_data_option = esegui_query("select idperiodi from $tableperiodi_modello where datafine = '$data_option' ");
$id_data_option = risul_query($id_data_option,0,idperiodi);
} # fine else if ($esiste_data_option == 1)
if ($id_data_option >= $inizioperiodo and $id_data_option <= ($fineperiodo + 1)) {
$giorno_option = substr($data_option,8,2);
$mese_option = substr($data_option,5,2);
$anno_option = substr($data_option,0,4);
$nome_giorno = date("D" , mktime(0,0,0,$mese_option,$giorno_option,$anno_option));
$nome_mese = date("M" , mktime(0,0,0,$mese_option,$giorno_option,$anno_option));
if ($m_tipo_periodi == "g") {
if ($nome_giorno == "Sun") $nome_giorno = mex2(" Do",$pag_gm,$lingua_modello);
if ($nome_giorno == "Mon") $nome_giorno = mex2(" Lu",$pag_gm,$lingua_modello);
if ($nome_giorno == "Tue") $nome_giorno = mex2(" Ma",$pag_gm,$lingua_modello);
if ($nome_giorno == "Wed") $nome_giorno = mex2(" Me",$pag_gm,$lingua_modello);
if ($nome_giorno == "Thu") $nome_giorno = mex2(" Gi",$pag_gm,$lingua_modello);
if ($nome_giorno == "Fri") $nome_giorno = mex2(" Ve",$pag_gm,$lingua_modello);
if ($nome_giorno == "Sat") $nome_giorno = mex2(" Sa",$pag_gm,$lingua_modello);
} # fine if ($m_tipo_periodi == "g")
else $nome_giorno = "";
if ($nome_mese == "Jan") $nome_mese = mex2("Gen",$pag_gm,$lingua_modello);
if ($nome_mese == "Feb") $nome_mese = mex2("Feb",$pag_gm,$lingua_modello);
if ($nome_mese == "Mar") $nome_mese = mex2("Mar",$pag_gm,$lingua_modello);
if ($nome_mese == "Apr") $nome_mese = mex2("Apr",$pag_gm,$lingua_modello);
if ($nome_mese == "May") $nome_mese = mex2("Mag",$pag_gm,$lingua_modello);
if ($nome_mese == "Jun") $nome_mese = mex2("Giu",$pag_gm,$lingua_modello);
if ($nome_mese == "Jul") $nome_mese = mex2("Lug",$pag_gm,$lingua_modello);
if ($nome_mese == "Aug") $nome_mese = mex2("Ago",$pag_gm,$lingua_modello);
if ($nome_mese == "Sep") $nome_mese = mex2("Set",$pag_gm,$lingua_modello);
if ($nome_mese == "Oct") $nome_mese = mex2("Ott",$pag_gm,$lingua_modello);
if ($nome_mese == "Nov") $nome_mese = mex2("Nov",$pag_gm,$lingua_modello);
if ($nome_mese == "Dec") $nome_mese = mex2("Dic",$pag_gm,$lingua_modello);
$date_in_menu .= "<option value=\\\"$data_option\\\">$nome_mese $giorno_option$nome_giorno, $anno_option</option>
";
} # fine if ($id_data_option > $inizioperiodo and...
} # fine if (substr($file_intero[$num1],0,7) == "<option")
} # fine for $num1
} # fine else if ($idfineperiodo < $idinizioperiodo)

if ($chiedi_num_app_tipologia == "SI" and controlla_num_pos($max_num_app_tipologia) == "NO") {
$continua = "NO";
echo mex("Numero massimo di appartamenti per tipologia errato",$pag).".<br>";
} # fine if ($chiedi_num_app_tipologia == "SI" and controlla_num_pos($max_num_app_tipologia) == "NO")
if ($chiedi_num_app_tipologia == "NO" and controlla_num_pos($max_num_app_tipologia) == "NO") $max_num_app_tipologia = 0;

if ($chiedi_num_app_tipologia == "SI" and !$parola_appartamenti) {
$continua = "NO";
echo mex("Si deve inserire la parola per indicare gli appartamenti",$pag).".<br>";
} # fine if ($chiedi_num_app_tipologia == "SI" and !$parola_appartamenti)
if ($chiedi_num_app_tipologia != "SI" and !$parola_appartamenti) $parola_appartamenti = mex2("appartamenti",$pag,$lingua_modello);

if ($aggiungi_tipologie == "SI" and (controlla_num_pos($max_num_tipologie) == "NO" or $max_num_tipologie == 0)) {
$continua = "NO";
echo mex("Numero massimo di tipologie errato",$pag).".<br>";
} # fine if ($aggiungi_tipologie == "SI" and controlla_num_pos($max_num_tipologie) == "NO" and $max_num_tipologie != 0)
if ($aggiungi_tipologie != "SI" and (controlla_num_pos($max_num_tipologie) == "NO" or $max_num_tipologie == 0)) $max_num_tipologie = 3;

if ($chiedi_num_persone == "SI" and controlla_num_pos($max_num_persone) == "NO") {
$continua = "NO";
echo mex("Numero massimo di persone errato",$pag).".<br>";
} # fine if ($chiedi_num_persone == "SI" and controlla_num_pos($max_num_persone) == "NO")
if ($chiedi_num_persone != "SI" and controlla_num_pos($max_num_persone) == "NO") $max_num_persone = 0;

$dati_ca = dati_costi_agg_ntariffe($tablenometariffe,"NO");
if ($chiedi_num_persone != "SI") $costo_aggiungi_letti = "";
if ($costo_aggiungi_letti != "" and ($dati_ca[$dati_ca[id][$costo_aggiungi_letti]][letto] != "s" or $dati_ca[$dati_ca[id][$costo_aggiungi_letti]][numsett] == "c" or $dati_ca[$dati_ca[id][$costo_aggiungi_letti]][mostra] != "s")) $continua = "NO";

if ($chiedi_num_persone == "SI" and $costo_aggiungi_letti != "" and (controlla_num_pos($max_num_aggiungi_letti) == "NO" or $max_num_aggiungi_letti == 0)) {
$continua = "NO";
echo mex("Numero massimo di letti aggiuntivi errato",$pag).".<br>";
} # fine if ($chiedi_num_persone == "SI" and $costo_aggiungi_letti != "" and...
if (($chiedi_num_persone != "SI" or $costo_aggiungi_letti == "") and (controlla_num_pos($max_num_aggiungi_letti) == "NO" or $max_num_aggiungi_letti == 0)) $max_num_aggiungi_letti = 2;

if ($mostra_costi_aggiuntivi == "SI" and (controlla_num_pos($num_colonne_costi_agg) == "NO" or $num_colonne_costi_agg == 0)) {
$continua = "NO";
echo mex("Numero di colonne dei costi aggiuntivi errato",$pag).".<br>";
} # fine if ($mostra_costi_aggiuntivi == "SI" and (controlla_num_pos($num_colonne_costi_agg) == "NO" or $num_colonne_costi_agg == 0))
if ($mostra_costi_aggiuntivi != "SI" and (controlla_num_pos($num_colonne_costi_agg) == "NO" or $num_colonne_costi_agg == 0)) $num_colonne_costi_agg = 2;

if ($mostra_richiesta_via_mail == "SI" and !eregi('^[_\.0-9a-z-]+@([0-9a-z][0-9a-z-]+\.)+[a-z]{2,4}$',$indirizzo_email)) {
$continua = "NO";
echo mex("Indirizzo email non valido",$pag).".<br>";
} # fine if ($mostra_richiesta_via_mail == "SI" and ...

if ($continua != "NO") {

$tablenometariffe_modello = $PHPR_TAB_PRE."ntariffe".$anno_modello;
$rigatariffe = esegui_query("select * from $tablenometariffe_modello where idntariffe = 1 ");
$numero_tariffe = risul_query($rigatariffe,0,nomecostoagg);
$tariffe_mostra = "";
$nomi_tariffe_imposte = "";
for ($numtariffa = 1 ; $numtariffa <= $numero_tariffe ; $numtariffa++) {
$tariffa = "tariffa".$numtariffa;
if ($$tariffa == "SI") $tariffe_mostra .= " $numtariffa => \"".mex("SI",$pag)."\",";
$nome_tariffa_imposto = "nome_tariffa_imposto".$numtariffa;
$$nome_tariffa_imposto = formatta_input_var_x_file($$nome_tariffa_imposto);
if ($$nome_tariffa_imposto) $nomi_tariffe_imposte .= "$numtariffa => \"".$$nome_tariffa_imposto."\",";
} # fine for $numtariffa
if ($tariffe_mostra) $tariffe_mostra = substr($tariffe_mostra,0,-1);
if ($nomi_tariffe_imposte) $nomi_tariffe_imposte = substr($nomi_tariffe_imposte,0,-1);

unset($nomi_costi_imposti);
unset($costi_attivati);
for ($numca = 0 ; $numca < $dati_ca[num] ; $numca++) {
if (${"attiva_costo".$dati_ca[$numca][id]} == "SI") {
$costi_attivati .= " ".$dati_ca[$numca][id]." => \"".mex("SI",$pag)."\",";
$nome_costo_imposto = "nome_costo_imposto".$dati_ca[$numca][id];
$$nome_costo_imposto = formatta_input_var_x_file($$nome_costo_imposto);
if ($$nome_costo_imposto) $nomi_costi_imposti .= $dati_ca[$numca][id]." => \"".$$nome_costo_imposto."\",";
} # fine if (${"attiva_costo".$dati_ca[$numca][id]} == "SI")
} # fine for $num1
if ($nomi_costi_imposti) $nomi_costi_imposti = substr($nomi_costi_imposti,0,-1);
if ($costi_attivati) $costi_attivati = substr($costi_attivati,0,-1);

$motivazioni_presenti = "";
$motivazioni_regola1 = "";
for ($num1 = 0 ; $num1 < $num_motivazioni ; $num1 = $num1 + 1) {
$var_motivazione = "var_mot_".$num1;
$motivazione = $$var_motivazione;
if ($motivazione) {
$motivazione = formatta_input_var_x_file($motivazione);
$motivazioni_regola1 .= "\"$motivazione\" => \"".mex("SI",$pag)."\",";
} # fine if ($motivazione)
} # fine for $num1
if ($motivazioni_regola1) $motivazioni_regola1 = substr($motivazioni_regola1,0,-1);

$M_PHPR_DB_TYPE = formatta_input_var_x_file($M_PHPR_DB_TYPE);
$M_PHPR_DB_NAME = formatta_input_var_x_file($M_PHPR_DB_NAME);
$M_PHPR_DB_HOST = formatta_input_var_x_file($M_PHPR_DB_HOST);
$M_PHPR_DB_PORT = formatta_input_var_x_file($M_PHPR_DB_PORT);
$M_PHPR_DB_USER = formatta_input_var_x_file($M_PHPR_DB_USER);
$M_PHPR_DB_PASS = formatta_input_var_x_file($M_PHPR_DB_PASS);
$M_PHPR_LOAD_EXT = formatta_input_var_x_file($M_PHPR_LOAD_EXT);
$M_PHPR_TAB_PRE = formatta_input_var_x_file($M_PHPR_TAB_PRE);
$m_stile_soldi = formatta_input_var_x_file($m_stile_soldi);
$m_stile_data = formatta_input_var_x_file($m_stile_data);
$parola_appartamenti = formatta_input_var_x_file($parola_appartamenti);
$parola_appartamento = formatta_input_var_x_file($parola_appartamento);
$chiedi_num_persone = formatta_input_var_x_file($chiedi_num_persone);
$aggiungi_costi_fissi = formatta_input_var_x_file($aggiungi_costi_fissi);
$mostra_costi_aggiuntivi = formatta_input_var_x_file($mostra_costi_aggiuntivi);
$assegna_con_regola2 = formatta_input_var_x_file($assegna_con_regola2);
$mostra_frase_alternativa_regola1 = formatta_input_var_x_file($mostra_frase_alternativa_regola1);
$mostra_caparra = formatta_input_var_x_file($mostra_caparra);
$mostra_richiesta_via_mail = formatta_input_var_x_file($mostra_richiesta_via_mail);
$indirizzo_email = formatta_input_var_x_file($indirizzo_email);
$maschera_envelope = formatta_input_var_x_file($maschera_envelope);
$mostra_giorni_pieni = formatta_input_var_x_file($mostra_giorni_pieni);
$apertura_tag_font = formatta_input_var_x_file($apertura_tag_font);
$chiusura_tag_font = formatta_input_var_x_file($chiusura_tag_font);
$m_valuta_sing = formatta_input_var_x_file($m_valuta_sing);
$m_valuta_plur = formatta_input_var_x_file($m_valuta_plur);
$frase_alternativa_regola1 = formatta_input_var_x_file($frase_alternativa_regola1);
$prima_parte_html = stripslashes($prima_parte_html);
$prima_parte_html = str_replace("<?","ERROR",$prima_parte_html);
$prima_parte_html = str_replace("?>","ERROR",$prima_parte_html);
$prima_parte_html = str_replace("<%","ERROR",$prima_parte_html);
$prima_parte_html = str_replace("%>","ERROR",$prima_parte_html);
$prima_parte_html = eregi_replace("<script +language *= *\"?php\"? *>","ERROR",$prima_parte_html);
$ultima_parte_html = stripslashes($ultima_parte_html);
$ultima_parte_html = str_replace("<?","ERROR",$ultima_parte_html);
$ultima_parte_html = str_replace("?>","ERROR",$ultima_parte_html);
$ultima_parte_html = str_replace("<%","ERROR",$ultima_parte_html);
$ultima_parte_html = str_replace("%>","ERROR",$ultima_parte_html);
$ultima_parte_html = eregi_replace("<script +language *= *\"?php\"? *>","ERROR",$ultima_parte_html);
# FRASI
if ($cambia_frasi == "SI" or $modello_esistente == "SI") {
$fr_Controlla_la_disponibilita = formatta_input_var_x_file($fr_Controlla_la_disponibilita);
$fr_dal = formatta_input_var_x_file($fr_dal);
$fr_al = formatta_input_var_x_file($fr_al);
$fr_per_la_tipologia = formatta_input_var_x_file($fr_per_la_tipologia);
$fr_tariffa = formatta_input_var_x_file($fr_tariffa);
$fr_Numero_di = formatta_input_var_x_file($fr_Numero_di);
$fr_Aggiungi_una_nuova_tipologia = formatta_input_var_x_file($fr_Aggiungi_una_nuova_tipologia);
$fr_Elimina_questa_tipologia = formatta_input_var_x_file($fr_Elimina_questa_tipologia);
$fr_per = formatta_input_var_x_file($fr_per);
$fr_Le_date_sono_sbagliate = formatta_input_var_x_file($fr_Le_date_sono_sbagliate);
$fr_La_tipologia_e_sbagliata = formatta_input_var_x_file($fr_La_tipologia_e_sbagliata);
$fr_Il_numero_di = formatta_input_var_x_file($fr_Il_numero_di);
$fr_richiesto_e_sbagliato = formatta_input_var_x_file($fr_richiesto_e_sbagliato);
$fr_parola_La = formatta_input_var_x_file($fr_parola_La);
$fr_parola_settimana = formatta_input_var_x_file($fr_parola_settimana);
$fr_est = formatta_input_var_x_file($fr_est);
$fr_piena = formatta_input_var_x_file($fr_piena);
$fr_Non_c_e_piu_disponibilita_nel_periodo_richiesto = formatta_input_var_x_file($fr_Non_c_e_piu_disponibilita_nel_periodo_richiesto);
$fr_C_e_ancora_disponibilita = formatta_input_var_x_file($fr_C_e_ancora_disponibilita);
$fr_nel_periodo_richiesto = formatta_input_var_x_file($fr_nel_periodo_richiesto);
$fr_nei_periodi_richiesti = formatta_input_var_x_file($fr_nei_periodi_richiesti);
$fr_per_la_tipologia = formatta_input_var_x_file($fr_per_la_tipologia);
$fr_per_le_tipologie_richieste = formatta_input_var_x_file($fr_per_le_tipologie_richieste);
$fr_Non_c_e_piu_disponibilita = formatta_input_var_x_file($fr_Non_c_e_piu_disponibilita);
$fr_in = formatta_input_var_x_file($fr_in);
$fr_Periodo_di = formatta_input_var_x_file($fr_Periodo_di);
$fr_parola_settimane = formatta_input_var_x_file($fr_parola_settimane);
$fr_tipologia = formatta_input_var_x_file($fr_tipologia);
$fr_Non_c_e_tariffa_per_questa_tipologia_ecc = formatta_input_var_x_file($fr_Non_c_e_tariffa_per_questa_tipologia_ecc);
$fr_Prezzo = formatta_input_var_x_file($fr_Prezzo);
$fr_Totale = formatta_input_var_x_file($fr_Totale);
$fr_Caparra = formatta_input_var_x_file($fr_Caparra);
$fr_compresi = formatta_input_var_x_file($fr_compresi);
$fr_di = formatta_input_var_x_file($fr_di);
$fr_Torna_indietro = formatta_input_var_x_file($fr_Torna_indietro);
$fr_Nuovo_controllo = formatta_input_var_x_file($fr_Nuovo_controllo);
$fr_Nome = formatta_input_var_x_file($fr_Nome);
$fr_Email = formatta_input_var_x_file($fr_Email);
$fr_Commento = formatta_input_var_x_file($fr_Commento);
$fr_Invia_la_richiesta_di_prenotazione = formatta_input_var_x_file($fr_Invia_la_richiesta_di_prenotazione);
$fr_Si_deve_inserire_un_indirizzo_email_valido = formatta_input_var_x_file($fr_Si_deve_inserire_un_indirizzo_email_valido);
$fr_Richiesta_di_prenotazione_inviata_da = formatta_input_var_x_file($fr_Richiesta_di_prenotazione_inviata_da);
$fr_Non_e_stato_possibile_inviare_la_richiesta = formatta_input_var_x_file($fr_Non_e_stato_possibile_inviare_la_richiesta);
$fr_Scegliere_le_settimane_in_cui_applicare = formatta_input_var_x_file($fr_Scegliere_le_settimane_in_cui_applicare);
$fr_persone = formatta_input_var_x_file($fr_persone);
$fr_persona = formatta_input_var_x_file($fr_persona);
$fr_Continua = formatta_input_var_x_file($fr_Continua);
$fr_per_ogni = formatta_input_var_x_file($fr_per_ogni);
$fr_Si_deve_inserire_il_numero_delle_persone_per = formatta_input_var_x_file($fr_Si_deve_inserire_il_numero_delle_persone_per);
$fr_Errore_nei_servizi_opzionali_richiesti = formatta_input_var_x_file($fr_Errore_nei_servizi_opzionali_richiesti);
$fr_supera_la_capienza_massima_della_tipologia_richiesta = formatta_input_var_x_file($fr_supera_la_capienza_massima_della_tipologia_richiesta);
} # fine if ($cambia_frasi == "SI" or $modello_esistente == "SI")
else {
$fr_Controlla_la_disponibilita = mex2("Controlla la disponibilit",$pag,$lingua_modello);
$fr_dal = mex2("dal",$pag,$lingua_modello);
$fr_al = mex2("al",$pag,$lingua_modello);
$fr_per_la_tipologia = mex2("per la tipologia",$pag,$lingua_modello);
$fr_tariffa = mex2("tariffa",$pag,$lingua_modello);
$fr_Numero_di = mex2("Numero di",$pag,$lingua_modello);
$fr_Aggiungi_una_nuova_tipologia = mex2("Aggiungi una nuova tipologia",$pag,$lingua_modello);
$fr_Elimina_questa_tipologia = mex2("Elimina questa tipologia",$pag,$lingua_modello);
$fr_per = mex2("per",$pag,$lingua_modello);
$fr_Le_date_sono_sbagliate = mex2("Le date sono sbagliate",$pag,$lingua_modello);
$fr_La_tipologia_e_sbagliata = mex2("La tipologia  sbagliata",$pag,$lingua_modello);
$fr_Il_numero_di = mex2("Il numero di",$pag,$lingua_modello);
$fr_richiesto_e_sbagliato = mex2("richiesto  sbagliato",$pag,$lingua_modello);
$fr_parola_La = mex2("$parola_La",$pag,$lingua_modello);
$fr_parola_settimana = mex2("$parola_settimana",$pag,$lingua_modello);
$fr_est = mex2("",$pag,$lingua_modello);
$fr_piena = mex2("pien$lettera_a",$pag,$lingua_modello);
$fr_Non_c_e_piu_disponibilita_nel_periodo_richiesto = mex2("Non c' pi disponibilit nel periodo richiesto",$pag,$lingua_modello);
$fr_C_e_ancora_disponibilita = mex2("C' ancora disponibilita",$pag,$lingua_modello);
$fr_nel_periodo_richiesto = mex2("nel periodo richiesto",$pag,$lingua_modello);
$fr_nei_periodi_richiesti = mex2("nei periodi richiesti",$pag,$lingua_modello);
$fr_per_la_tipologia = mex2("per la tipologia",$pag,$lingua_modello);
$fr_per_le_tipologie_richieste = mex2("per le tipologie richieste",$pag,$lingua_modello);
$fr_Non_c_e_piu_disponibilita = mex2("Non c' pi disponibilit",$pag,$lingua_modello);
$fr_in = mex2("in",$pag,$lingua_modello);
$fr_Periodo_di = mex2("Periodo di",$pag,$lingua_modello);
$fr_parola_settimane = mex2("$parola_settimane",$pag,$lingua_modello);
$fr_tipologia = mex2("tipologia",$pag,$lingua_modello);
$fr_Non_c_e_tariffa_per_questa_tipologia_ecc = mex2("Non c' ancora nessuna tariffa per la tipologia richiesta in questo periodo",$pag,$lingua_modello);
$fr_Prezzo = mex2("Prezzo",$pag,$lingua_modello);
$fr_Totale = mex2("Totale",$pag,$lingua_modello);
$fr_Caparra = mex2("Caparra",$pag,$lingua_modello);
$fr_compresi = mex2("compresi",$pag,$lingua_modello);
$fr_di = mex2("di",$pag,$lingua_modello);
$fr_Torna_indietro = mex2("Torna indietro",$pag,$lingua_modello);
$fr_Nuovo_controllo = mex2("Nuovo controllo",$pag,$lingua_modello);
$fr_Nome = mex2("Nome",$pag,$lingua_modello);
$fr_Email = mex2("Email",$pag,$lingua_modello);
$fr_Commento = mex2("Commento",$pag,$lingua_modello);
$fr_Invia_la_richiesta_di_prenotazione = mex2("Invia la richiesta di prenotazione",$pag,$lingua_modello);
$fr_Si_deve_inserire_un_indirizzo_email_valido = mex2("Si deve inserire un indirizzo email valido",$pag,$lingua_modello);
$fr_Richiesta_di_prenotazione_inviata_da = mex2("Richiesta di prenotazione inviata da",$pag,$lingua_modello);
$fr_Non_e_stato_possibile_inviare_la_richiesta = mex2("Non  stato possibile inviare la richiesta",$pag,$lingua_modello);
$fr_Scegliere_le_settimane_in_cui_applicare = mex2("Scegliere $parola_le $parola_settimane in cui applicare",$pag,$lingua_modello);
$fr_persone = mex2("persone",$pag,$lingua_modello);
$fr_persona = mex2("persona",$pag,$lingua_modello);
$fr_Continua = mex2("Continua",$pag,$lingua_modello);
$fr_per_ogni = mex2("per ogni",$pag,$lingua_modello);
$fr_Si_deve_inserire_il_numero_delle_persone_per = mex2("Si deve inserire il numero delle persone per",$pag,$lingua_modello);
$fr_Errore_nei_servizi_opzionali_richiesti = mex2("Errore nei servizi opzionali richiesti",$pag,$lingua_modello);
$fr_supera_la_capienza_massima_della_tipologia_richiesta = mex2("supera la capienza massima della tipologia richiesta",$pag,$lingua_modello);
} # fine else if ($cambia_frasi == "SI" or $modello_esistente == "SI")

$nome_file = mex2("modello_disponibilita",$pag,$lingua_modello).".php";
$file = @fopen("./$percorso_cartella_modello/$nome_file","w+");
if ($file) {
flock($file,2);
fwrite($file,"<!-- ".mex("INSERISCI QUI IL TUO HTML",$pag)." -->
$prima_parte_html




<!-- ".mex("FINE DELLA PRIMA PARTE DELL'HTML PERSONALE",$pag)."  -->


<?php

# ".mex("INIZIO VARIABILI MODIFICABILI",$pag)." (".mex("modificare il valore sulla destra",$pag).")

# ".mex("Inserire in questa variabile il nome della pagina se \$PHP_SELF non  definita",$pag)."
\$".mex("var_nome_pagina",$pag)." = \"\";

\$".mex("var_anno",$pag)." = $anno_modello;
\$".mex("var_tipo_db",$pag)." = \"$M_PHPR_DB_TYPE\";
\$".mex("var_nome_db",$pag)." = \"$M_PHPR_DB_NAME\";
\$".mex("var_computer_db",$pag)." = \"$M_PHPR_DB_HOST\";
\$".mex("var_porta_db",$pag)." = \"$M_PHPR_DB_PORT\";
\$".mex("var_utente_db",$pag)." = \"$M_PHPR_DB_USER\";
\$".mex("var_password_db",$pag)." = \"$M_PHPR_DB_PASS\";
\$".mex("var_carica_estensione_db",$pag)." = \"".mex("$M_PHPR_LOAD_EXT",$pag)."\";
\$".mex("var_prefisso_tabelle_db",$pag)." = \"".mex("$M_PHPR_TAB_PRE",$pag)."\";
\$".mex("var_stile_soldi",$pag)." = \"".mex("$m_stile_soldi",$pag)."\";
\$".mex("var_stile_data",$pag)." = \"".mex("$m_stile_data",$pag)."\";
\$".mex("var_tariffe_mostra",$pag)." = array($tariffe_mostra);
\$".mex("var_nomi_tariffe_imposte",$pag)." = array($nomi_tariffe_imposte);
\$".mex("var_chiedi_numero_appartamenti_per_tipologia",$pag)." = \"".mex("$chiedi_num_app_tipologia",$pag)."\";
\$".mex("var_massimo_numero_appartamenti_per_tipologia",$pag)." = \"$max_num_app_tipologia\";
\$".mex("var_aggiungi_altre_tipologie",$pag)." = \"".mex("$aggiungi_tipologie",$pag)."\";
\$".mex("var_massimo_numero_altre_tipologie",$pag)." = \"$max_num_tipologie\";
\$".mex("var_chiedi_numero_persone",$pag)." = \"".mex("$chiedi_num_persone",$pag)."\";
\$".mex("var_massimo_numero_persone",$pag)." = \"$max_num_persone\";
\$".mex("var_costo_aggiungi_letti",$pag)." = \"$costo_aggiungi_letti\";
\$".mex("var_massimo_numero_letti_aggiuntivi",$pag)." = \"$max_num_aggiungi_letti\";
\$".mex("var_aggiungi_costi_fissi",$pag)." = \"".mex("$aggiungi_costi_fissi",$pag)."\";
\$".mex("var_chiedi_costi_aggiuntivi_di_pag_inserzione",$pag)." = \"".mex("$mostra_costi_aggiuntivi",$pag)."\";
\$".mex("var_numero_colonne_costi_aggiuntivi",$pag)." = \"$num_colonne_costi_agg\";
\$".mex("var_costi_aggiuntivi_mostra",$pag)." = array($costi_attivati);
\$".mex("var_nomi_costi_agg_imposti",$pag)." = array($nomi_costi_imposti);
\$".mex("var_assegna_con_regola2",$pag)." = \"".mex("$assegna_con_regola2",$pag)."\";
\$".mex("var_considera_motivazioni_regola1",$pag)." = array($motivazioni_regola1);
\$".mex("var_mostra_frase_alternativa_regola1",$pag)." = \"".mex("$mostra_frase_alternativa_regola1",$pag)."\";
\$".mex("var_mostra_caparra",$pag)." = \"".mex("$mostra_caparra",$pag)."\";
\$".mex("var_mostra_richiesta_via_mail",$pag)." = \"".mex("$mostra_richiesta_via_mail",$pag)."\";
\$".mex("var_indirizzo_email",$pag)." = \"$indirizzo_email\";
\$".mex("var_maschera_email",$pag)." = \"".mex("$maschera_envelope",$pag)."\";
\$".mex("var_mostra_giorni_pieni",$pag)." = \"".mex("$mostra_giorni_pieni",$pag)."\";
\$".mex("var_apertura_tag_font",$pag)." = \"$apertura_tag_font\";
\$".mex("var_chiusura_tag_font",$pag)." = \"$chiusura_tag_font\";

# ".mex("FRASI",$pag)."
\$".mex("var_fr_Valuta_sing",$pag)." = \"".$m_valuta_sing."\";
\$".mex("var_fr_Valuta_plur",$pag)." = \"".$m_valuta_plur."\";
\$".mex("var_fr_appartamenti",$pag)." = \"".$parola_appartamenti."\";
\$".mex("var_fr_appartamento",$pag)." = \"".$parola_appartamento."\";
\$".mex("var_fr_alternativa_regola1",$pag)." = \"".$frase_alternativa_regola1."\";
\$".mex("var_fr_Controlla_la_disponibilita",$pag)." = \"".$fr_Controlla_la_disponibilita."\";
\$".mex("var_fr_dal",$pag)." = \"".$fr_dal."\";
\$".mex("var_fr_al",$pag)." = \"".$fr_al."\";
\$".mex("var_fr_per_la_tipologia",$pag)." = \"".$fr_per_la_tipologia."\";
\$".mex("var_fr_tariffa",$pag)." = \"".$fr_tariffa."\";
\$".mex("var_fr_Numero_di",$pag)." = \"".$fr_Numero_di."\";
\$".mex("var_fr_Aggiungi_una_nuova_tipologia",$pag)." = \"".$fr_Aggiungi_una_nuova_tipologia."\";
\$".mex("var_fr_Elimina_questa_tipologia",$pag)." = \"".$fr_Elimina_questa_tipologia."\";
\$".mex("var_fr_per",$pag)." = \"".$fr_per."\";
\$".mex("var_fr_Le_date_sono_sbagliate",$pag)." = \"".$fr_Le_date_sono_sbagliate."\";
\$".mex("var_fr_La_tipologia_e_sbagliata",$pag)." = \"".$fr_La_tipologia_e_sbagliata."\";
\$".mex("var_fr_Il_numero_di",$pag)." = \"".$fr_Il_numero_di."\";
\$".mex("var_fr_richiesto_e_sbagliato",$pag)." = \"".$fr_richiesto_e_sbagliato."\";
\$".mex("var_fr_parola_La",$pag)." = \"".$fr_parola_La."\";
\$".mex("var_fr_parola_settimana",$pag)." = \"".$fr_parola_settimana."\";
\$".mex("var_fr_est",$pag)." = \"".$fr_est."\";
\$".mex("var_fr_piena",$pag)." = \"".$fr_piena."\";
\$".mex("var_fr_Non_c_e_piu_disponibilita_nel_periodo_richiesto",$pag)." = \"".$fr_Non_c_e_piu_disponibilita_nel_periodo_richiesto."\";
\$".mex("var_fr_C_e_ancora_disponibilita",$pag)." = \"".$fr_C_e_ancora_disponibilita."\";
\$".mex("var_fr_nel_periodo_richiesto",$pag)." = \"".$fr_nel_periodo_richiesto."\";
\$".mex("var_fr_nei_periodi_richiesti",$pag)." = \"".$fr_nei_periodi_richiesti."\";
\$".mex("var_fr_per_la_tipologia",$pag)." = \"".$fr_per_la_tipologia."\";
\$".mex("var_fr_per_le_tipologie_richieste",$pag)." = \"".$fr_per_le_tipologie_richieste."\";
\$".mex("var_fr_Non_c_e_piu_disponibilita",$pag)." = \"".$fr_Non_c_e_piu_disponibilita."\";
\$".mex("var_fr_in",$pag)." = \"".$fr_in."\";
\$".mex("var_fr_Periodo_di",$pag)." = \"".$fr_Periodo_di."\";
\$".mex("var_fr_parola_settimane",$pag)." = \"".$fr_parola_settimane."\";
\$".mex("var_fr_tipologia",$pag)." = \"".$fr_tipologia."\";
\$".mex("var_fr_Non_c_e_tariffa_per_questa_tipologia_ecc",$pag)." = \"".$fr_Non_c_e_tariffa_per_questa_tipologia_ecc."\";
\$".mex("var_fr_Prezzo",$pag)." = \"".$fr_Prezzo."\";
\$".mex("var_fr_Totale",$pag)." = \"".$fr_Totale."\";
\$".mex("var_fr_Caparra",$pag)." = \"".$fr_Caparra."\";
\$".mex("var_fr_compresi",$pag)." = \"".$fr_compresi."\";
\$".mex("var_fr_di",$pag)." = \"".$fr_di."\";
\$".mex("var_fr_Torna_indietro",$pag)." = \"".$fr_Torna_indietro."\";
\$".mex("var_fr_Nuovo_controllo",$pag)." = \"".$fr_Nuovo_controllo."\";
\$".mex("var_fr_Nome",$pag)." = \"".$fr_Nome."\";
\$".mex("var_fr_Email",$pag)." = \"".$fr_Email."\";
\$".mex("var_fr_Commento",$pag)." = \"".$fr_Commento."\";
\$".mex("var_fr_Invia_la_richiesta_di_prenotazione",$pag)." = \"".$fr_Invia_la_richiesta_di_prenotazione."\";
\$".mex("var_fr_Si_deve_inserire_un_indirizzo_email_valido",$pag)." = \"".$fr_Si_deve_inserire_un_indirizzo_email_valido."\";
\$".mex("var_fr_Richiesta_di_prenotazione_inviata_da",$pag)." = \"".$fr_Richiesta_di_prenotazione_inviata_da."\";
\$".mex("var_fr_Non_e_stato_possibile_inviare_la_richiesta",$pag)." = \"".$fr_Non_e_stato_possibile_inviare_la_richiesta."\";
\$".mex("var_fr_Scegliere_le_settimane_in_cui_applicare",$pag)." = \"".$fr_Scegliere_le_settimane_in_cui_applicare."\";
\$".mex("var_fr_persone",$pag)." = \"".$fr_persone."\";
\$".mex("var_fr_persona",$pag)." = \"".$fr_persona."\";
\$".mex("var_fr_Continua",$pag)." = \"".$fr_Continua."\";
\$".mex("var_fr_per_ogni",$pag)." = \"".$fr_per_ogni."\";
\$".mex("var_fr_Si_deve_inserire_il_numero_delle_persone_per",$pag)." = \"".$fr_Si_deve_inserire_il_numero_delle_persone_per."\";
\$".mex("var_fr_Errore_nei_servizi_opzionali_richiesti",$pag)." = \"".$fr_Errore_nei_servizi_opzionali_richiesti."\";
\$".mex("var_fr_supera_la_capienza_massima_della_tipologia_richiesta",$pag)." = \"".$fr_supera_la_capienza_massima_della_tipologia_richiesta."\";

# ".mex("FRASI EMAIL",$pag)."
\$".mex("var_fre_Da",$pag)." = \"".mex("Da",$pag)."\";
\$".mex("var_fre_Nome",$pag)." = \"".mex("Nome",$pag)."\";
\$".mex("var_fre_Commento",$pag)." = \"".mex("Commento",$pag)."\";
\$".mex("var_fre_Periodo",$pag)." = \"".mex("Periodo",$pag)."\";
\$".mex("var_fre_dal",$pag)." = \"".mex("dal",$pag)."\";
\$".mex("var_fre_al",$pag)." = \"".mex("al",$pag)."\";
\$".mex("var_fre_Tariffa",$pag)." = \"".mex("Tariffa",$pag)."\";
\$".mex("var_fre_Costi_aggiuntivi",$pag)." = \"".mex("Costi aggiuntivi",$pag)."\";
\$".mex("var_fre_sett",$pag)." = \"".mex("$parola_settimane",$pag)."\";
\$".mex("var_fre_Numero_di_appartamenti",$pag)." = \"".mex("Numero di appartamenti",$pag)."\";
\$".mex("var_fre_Prezzo_totale",$pag)." = \"".mex("Prezzo totale",$pag)."\";
\$".mex("var_fre_Riferimento",$pag)." = \"".mex("Riferimento",$pag)."\";
\$".mex("var_fre_Richesta_prenotazione",$pag)." = \"".mex("Richesta prenotazione",$pag)."\";
\$".mex("var_fre_Caparra",$pag)." = \"".mex("Caparra",$pag)."\";
\$".mex("var_fre_Persone",$pag)." = \"".mex("Persone",$pag)."\";

# ".mex("PERIODI NEI MENU",$pag)."
\$".mex("var_periodi_menu",$pag)." = \"$date_in_menu\";

# ".mex("FINE VARIABILI MODIFICABILI",$pag)."



############################################################################
###        ".mex("NON MODIFICARE NIENTE A PARTIRE DA QUI",$pag)."
############################################################################

if (\$".mex("var_nome_pagina",$pag).") \$pag = \$".mex("var_nome_pagina",$pag).";
else {
if (@\$PHP_SELF or @\$_SERVER[\"PHP_SELF\"] or @\$HTTP_SERVER_VARS[\"PHP_SELF\"]) {
if (@\$_SERVER[\"PHP_SELF\"]) \$PHP_SELF = \$_SERVER[\"PHP_SELF\"];
else if (@\$HTTP_SERVER_VARS[\"PHP_SELF\"]) \$PHP_SELF = \$HTTP_SERVER_VARS[\"PHP_SELF\"];
\$pag = explode(\"/\",\$PHP_SELF);
\$pag = \$pag[(count(\$pag)-1)];
} # fine if (@\$PHP_SELF or @\$_SERVER[\"PHP_SELF\"] or...
else {
echo \"".mex("La variabile \\\$PHP_SELF non  definita, si dovr editare a mano questa pagina per inserirne il nome",$pag).".<br>\";
} # fine else if (@\$PHP_SELF or @\$_SERVER[\"PHP_SELF\"])
} # fine else if (\$".mex("var_nome_pagina",$pag).")

\$anno = \$".mex("var_anno",$pag).";
\$PHPR_DB_TYPE = \$".mex("var_tipo_db",$pag).";
\$PHPR_DB_NAME = \$".mex("var_nome_db",$pag).";
\$PHPR_DB_HOST = \$".mex("var_computer_db",$pag).";
\$PHPR_DB_PORT = \$".mex("var_porta_db",$pag).";
\$PHPR_DB_USER = \$".mex("var_utente_db",$pag).";
\$PHPR_DB_PASS = \$".mex("var_password_db",$pag).";
if (strtoupper(\$".mex("var_carica_estensione_db",$pag).") == \"".mex("SI",$pag)."\") \$PHPR_LOAD_EXT = \"SI\";
else \$PHPR_LOAD_EXT = \"NO\";
\$PHPR_TAB_PRE = \$".mex("var_prefisso_tabelle_db",$pag).";
if (\$".mex("var_stile_soldi",$pag)." == \"".mex("europa",$pag)."\") \$stile_soldi = \"europa\";
if (\$".mex("var_stile_soldi",$pag)." == \"".mex("usa",$pag)."\") \$stile_soldi = \"usa\";
if (\$".mex("var_stile_data",$pag)." == \"".mex("europa",$pag)."\") \$stile_data = \"europa\";
if (\$".mex("var_stile_data",$pag)." == \"".mex("usa",$pag)."\") \$stile_data = \"usa\";
unset(\$tariffe_mostra);
reset (\$".mex("var_tariffe_mostra",$pag).");
while (list (\$key, \$val) = each (\$".mex("var_tariffe_mostra",$pag).")) {
if (strtoupper(\$val) == \"".mex("SI",$pag)."\") \$tariffe_mostra[\$key] = \"SI\";
if (strtoupper(\$val) == \"".mex("NO",$pag)."\") \$tariffe_mostra[\$key] = \"NO\";
} # fine while
\$n_tariffe_imposte = \$".mex("var_nomi_tariffe_imposte",$pag).";
if (strtoupper(\$".mex("var_chiedi_numero_appartamenti_per_tipologia",$pag).") == \"".mex("SI",$pag)."\") \$chiedi_num_app_tipologia = \"SI\";
else \$chiedi_num_app_tipologia = \"NO\";
\$max_num_app_tipologia = \$".mex("var_massimo_numero_appartamenti_per_tipologia",$pag).";
if (strtoupper(\$".mex("var_aggiungi_altre_tipologie",$pag).") == \"".mex("SI",$pag)."\") \$aggiungi_tipologie = \"SI\";
else \$aggiungi_tipologie = \"NO\";
\$max_num_tipologie = \$".mex("var_massimo_numero_altre_tipologie",$pag).";
if (strtoupper(\$".mex("var_chiedi_numero_persone",$pag).") == \"".mex("SI",$pag)."\") \$chiedi_num_persone = \"SI\";
else \$chiedi_num_persone = \"NO\";
\$max_num_persone = \$".mex("var_massimo_numero_persone",$pag).";
\$costo_aggiungi_letti = \$".mex("var_costo_aggiungi_letti",$pag).";
\$max_num_aggiungi_letti = \$".mex("var_massimo_numero_letti_aggiuntivi",$pag).";
if (strtoupper(\$".mex("var_chiedi_costi_aggiuntivi_di_pag_inserzione",$pag).") == \"".mex("SI",$pag)."\") \$mostra_costi_aggiuntivi = \"SI\";
else \$mostra_costi_aggiuntivi = \"NO\";
\$num_colonne_costi_agg = \$".mex("var_numero_colonne_costi_aggiuntivi",$pag).";
if (strtoupper(\$".mex("var_aggiungi_costi_fissi",$pag).") == \"".mex("SI",$pag)."\") \$aggiungi_costi_fissi = \"SI\";
else \$aggiungi_costi_fissi = \"NO\";
unset(\$costi_agg_mostra);
reset (\$".mex("var_costi_aggiuntivi_mostra",$pag).");
while (list (\$key, \$val) = each (\$".mex("var_costi_aggiuntivi_mostra",$pag).")) {
if (strtoupper(\$val) == \"".mex("SI",$pag)."\") \$costi_agg_mostra[\$key] = \"SI\";
if (strtoupper(\$val) == \"".mex("NO",$pag)."\") \$costi_agg_mostra[\$key] = \"NO\";
} # fine while
\$n_costi_agg_imposti = \$".mex("var_nomi_costi_agg_imposti",$pag).";
if (strtoupper(\$".mex("var_assegna_con_regola2",$pag).") == \"".mex("SI",$pag)."\") \$assegna_con_regola2 = \"SI\";
else \$assegna_con_regola2 = \"NO\";
unset(\$motivazioni_regola1);
reset (\$".mex("var_considera_motivazioni_regola1",$pag).");
while (list (\$key, \$val) = each (\$".mex("var_considera_motivazioni_regola1",$pag).")) {
if (strtoupper(\$val) == \"".mex("SI",$pag)."\") \$motivazioni_regola1[\$key] = \"SI\";
if (strtoupper(\$val) == \"".mex("NO",$pag)."\") \$motivazioni_regola1[\$key] = \"NO\";
} # fine while
if (strtoupper(\$".mex("var_mostra_frase_alternativa_regola1",$pag).") == \"".mex("SI",$pag)."\") \$mostra_frase_alternativa_regola1 = \"SI\";
else \$mostra_frase_alternativa_regola1 = \"NO\";
if (strtoupper(\$".mex("var_mostra_caparra",$pag).") == \"".mex("SI",$pag)."\") \$mostra_caparra = \"SI\";
else \$mostra_caparra = \"NO\";
if (strtoupper(\$".mex("var_mostra_richiesta_via_mail",$pag).") == \"".mex("SI",$pag)."\") \$mostra_richiesta_via_mail = \"SI\";
else \$mostra_richiesta_via_mail = \"NO\";
\$indirizzo_email = \$".mex("var_indirizzo_email",$pag).";
if (strtoupper(\$".mex("var_maschera_email",$pag).") == \"".mex("SI",$pag)."\") \$maschera_envelope = \"SI\";
else \$maschera_envelope = \"NO\";
if (strtoupper(\$".mex("var_mostra_giorni_pieni",$pag).") == \"".mex("SI",$pag)."\") \$mostra_giorni_pieni = \"SI\";
else \$mostra_giorni_pieni = \"NO\";
\$apertura_tag_font = \$".mex("var_apertura_tag_font",$pag).";
\$chiusura_tag_font = \$".mex("var_chiusura_tag_font",$pag).";

# FRASI
\$fr_Euro = \$".mex("var_fr_Valuta_sing",$pag).";
\$fr_Euros = \$".mex("var_fr_Valuta_plur",$pag).";
\$fr_appartamenti = \$".mex("var_fr_appartamenti",$pag).";
\$fr_appartamento = \$".mex("var_fr_appartamento",$pag).";
\$fr_Controlla_la_disponibilita = \$".mex("var_fr_Controlla_la_disponibilita",$pag).";
\$fr_dal = \$".mex("var_fr_dal",$pag).";
\$fr_al = \$".mex("var_fr_al",$pag).";
\$fr_per_la_tipologia = \$".mex("var_fr_per_la_tipologia",$pag).";
\$fr_tariffa = \$".mex("var_fr_tariffa",$pag).";
\$fr_Numero_di = \$".mex("var_fr_Numero_di",$pag).";
\$fr_Aggiungi_una_nuova_tipologia = \$".mex("var_fr_Aggiungi_una_nuova_tipologia",$pag).";
\$fr_Elimina_questa_tipologia = \$".mex("var_fr_Elimina_questa_tipologia",$pag).";
\$fr_per = \$".mex("var_fr_per",$pag).";
\$fr_Le_date_sono_sbagliate = \$".mex("var_fr_Le_date_sono_sbagliate",$pag).";
\$fr_La_tipologia_e_sbagliata = \$".mex("var_fr_La_tipologia_e_sbagliata",$pag).";
\$fr_Il_numero_di = \$".mex("var_fr_Il_numero_di",$pag).";
\$fr_richiesto_e_sbagliato = \$".mex("var_fr_richiesto_e_sbagliato",$pag).";
\$fr_parola_La = \$".mex("var_fr_parola_La",$pag).";
\$fr_parola_settimana = \$".mex("var_fr_parola_settimana",$pag).";
\$fr_est = \$".mex("var_fr_est",$pag).";
\$fr_piena = \$".mex("var_fr_piena",$pag).";
\$fr_Non_c_e_piu_disponibilita_nel_periodo_richiesto = \$".mex("var_fr_Non_c_e_piu_disponibilita_nel_periodo_richiesto",$pag).";
\$fr_C_e_ancora_disponibilita = \$".mex("var_fr_C_e_ancora_disponibilita",$pag).";
\$fr_nel_periodo_richiesto = \$".mex("var_fr_nel_periodo_richiesto",$pag).";
\$fr_nei_periodi_richiesti = \$".mex("var_fr_nei_periodi_richiesti",$pag).";
\$fr_per_la_tipologia = \$".mex("var_fr_per_la_tipologia",$pag).";
\$fr_per_le_tipologie_richieste = \$".mex("var_fr_per_le_tipologie_richieste",$pag).";
\$fr_Non_c_e_piu_disponibilita = \$".mex("var_fr_Non_c_e_piu_disponibilita",$pag).";
\$fr_alternativa_regola1 = \$".mex("var_fr_alternativa_regola1",$pag).";
\$fr_in = \$".mex("var_fr_in",$pag).";
\$fr_Periodo_di = \$".mex("var_fr_Periodo_di",$pag).";
\$fr_parola_settimane = \$".mex("var_fr_parola_settimane",$pag).";
\$fr_tipologia = \$".mex("var_fr_tipologia",$pag).";
\$fr_Non_c_e_tariffa_per_questa_tipologia_ecc = \$".mex("var_fr_Non_c_e_tariffa_per_questa_tipologia_ecc",$pag).";
\$fr_Prezzo = \$".mex("var_fr_Prezzo",$pag).";
\$fr_Totale = \$".mex("var_fr_Totale",$pag).";
\$fr_Caparra = \$".mex("var_fr_Caparra",$pag).";
\$fr_compresi = \$".mex("var_fr_compresi",$pag).";
\$fr_di = \$".mex("var_fr_di",$pag).";
\$fr_Torna_indietro = \$".mex("var_fr_Torna_indietro",$pag).";
\$fr_Nuovo_controllo = \$".mex("var_fr_Nuovo_controllo",$pag).";
\$fr_Nome = \$".mex("var_fr_Nome",$pag).";
\$fr_Email = \$".mex("var_fr_Email",$pag).";
\$fr_Commento = \$".mex("var_fr_Commento",$pag).";
\$fr_Invia_la_richiesta_di_prenotazione = \$".mex("var_fr_Invia_la_richiesta_di_prenotazione",$pag).";
\$fr_Si_deve_inserire_un_indirizzo_email_valido = \$".mex("var_fr_Si_deve_inserire_un_indirizzo_email_valido",$pag).";
\$fr_Richiesta_di_prenotazione_inviata_da = \$".mex("var_fr_Richiesta_di_prenotazione_inviata_da",$pag).";
\$fr_Non_e_stato_possibile_inviare_la_richiesta = \$".mex("var_fr_Non_e_stato_possibile_inviare_la_richiesta",$pag).";
\$fr_Scegliere_le_settimane_in_cui_applicare = \$".mex("var_fr_Scegliere_le_settimane_in_cui_applicare",$pag).";
\$fr_persone = \$".mex("var_fr_persone",$pag).";
\$fr_persona = \$".mex("var_fr_persona",$pag).";
\$fr_Continua = \$".mex("var_fr_Continua",$pag).";
\$fr_per_ogni = \$".mex("var_fr_per_ogni",$pag).";
\$fr_Si_deve_inserire_il_numero_delle_persone_per = \$".mex("var_fr_Si_deve_inserire_il_numero_delle_persone_per",$pag).";
\$fr_Errore_nei_servizi_opzionali_richiesti = \$".mex("var_fr_Errore_nei_servizi_opzionali_richiesti",$pag).";
\$fr_supera_la_capienza_massima_della_tipologia_richiesta = \$".mex("var_fr_supera_la_capienza_massima_della_tipologia_richiesta",$pag).";
\$fre_Da = \$".mex("var_fre_Da",$pag).";
\$fre_Nome = \$".mex("var_fre_Nome",$pag).";
\$fre_Commento = \$".mex("var_fre_Commento",$pag).";
\$fre_Periodo = \$".mex("var_fre_Periodo",$pag).";
\$fre_dal = \$".mex("var_fre_dal",$pag).";
\$fre_al = \$".mex("var_fre_al",$pag).";
\$fre_Tariffa = \$".mex("var_fre_Tariffa",$pag).";
\$fre_Costi_aggiuntivi = \$".mex("var_fre_Costi_aggiuntivi",$pag).";
\$fre_sett = \$".mex("var_fre_sett",$pag).";
\$fre_Numero_di_appartamenti = \$".mex("var_fre_Numero_di_appartamenti",$pag).";
\$fre_Prezzo_totale = \$".mex("var_fre_Prezzo_totale",$pag).";
\$fre_Riferimento = \$".mex("var_fre_Riferimento",$pag).";
\$fre_Richesta_prenotazione = \$".mex("var_fre_Richesta_prenotazione",$pag).";
\$fre_Caparra = \$".mex("var_fre_Caparra",$pag).";
\$fre_Persone = \$".mex("var_fre_Persone",$pag).";

# PERIODI NEI MENU
\$menu_periodi = \$".mex("var_periodi_menu",$pag).";


if (\$PHPR_DB_TYPE == \"postgresql\") {
");
includi_file("./includes/funzioni_postgresql.php",$file);
fwrite($file,"
} # fine if (\$PHPR_DB_TYPE == \"postgresql\")


if (\$PHPR_DB_TYPE == \"mysql\") {
");
includi_file("./includes/funzioni_mysql.php",$file);
fwrite($file,"
} # fine if (\$PHPR_DB_TYPE == \"mysql\")


connetti_db(\$PHPR_DB_NAME,\$PHPR_DB_HOST,\$PHPR_DB_PORT,\$PHPR_DB_USER,\$PHPR_DB_PASS,\$PHPR_LOAD_EXT);
");
includi_file("./includes/funzioni.php",$file);
includi_file("./dati/versione.php",$file);
includi_file("./liberasettimane.php",$file);
includi_file("./includes/funzioni_costi_agg.php",$file);
if (defined("C_FILE_SCADENZA_ACCOUNT") and C_FILE_SCADENZA_ACCOUNT != "") fwrite($file,"
\$disattivato = \"\";
\$scadenza = trim(@implode(@file(\"./".C_FILE_SCADENZA_ACCOUNT."\")));
\$adesso = date(\"YmdHis\");
if (!\$scadenza or \$scadenza < \$adesso) {
\$disattivato = \"SI\";
echo \"Expired account.<br>\";
} # fine (!\$scadenza or \$scadenza < \$adesso)
if (!\$disattivato) {
");
includi_file("./includes/templates/modello_disponibilita.php",$file);
if (defined("C_FILE_SCADENZA_ACCOUNT") and C_FILE_SCADENZA_ACCOUNT != "") fwrite($file,"
} # fine if (!\$disattivato)
");
fwrite($file,"
?>


<!-- ".mex("INIZIO DELLA SECONDA PARTE DELL'HTML PERSONALE",$pag)."  -->




$ultima_parte_html
<!-- ".mex("FINE DELLA SECONDA PARTE DELL'HTML PERSONALE",$pag)."  -->");
flock($file,3);
fclose($file);
if (C_CHMOD_EXEC_MODELLI == "SI") @chmod("./$percorso_cartella_modello/$nome_file", 0750);
else @chmod("./$percorso_cartella_modello/$nome_file", 0640);
echo mex("Un modello chiamato",$pag)." <b><a href=\"./$percorso_cartella_modello/$nome_file\" target=\"_blank\">$nome_file</a></b> ".mex(" stato creato nella directory",$pag)." \"$percorso_cartella_modello\".<br>";
if (defined("C_CARTELLA_CREA_MODELLI")) echo mex("Si pu creare un link verso il modello dal proprio sito internet",$pag).".<br>";
else echo mex("Spostatelo e adattatelo al vostro sito, si pu anche corregere a mano l'html e le variabili inseritevi",$pag).".<br>";
} # fine if ($file)
else echo mex("Non ho il permesso di scrittura nella cartella dati",$pag).".<br>";

} # fine if ($continua != "NO")
} # fine if ($modello_disponibilita)


else {
$templates_dir = opendir("./includes/templates/");
while ($modello_ext = readdir($templates_dir)) {
if ($modello_ext != "." and $modello_ext != ".." and @is_dir("./includes/templates/$modello_ext")) {
include("./includes/templates/$modello_ext/name.php");
if ($$tamplate_name) {
$mostra_form_creazione = "NO";
include("./includes/templates/$modello_ext/create.php");
break;
} # fine if ($$tamplate_name)
} # fine if ($modello_ext != "." and $modello_ext != ".." and...
} # fine while ($file = readdir($lang_dig))
closedir($templates_dir);
} # fine else if ($modello_disponibilita)


echo "<form method=\"post\" action=\"crea_modelli.php\">
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input class=\"sbutton\" type=\"submit\" name=\"indietro\" value=\"".mex("OK",$pag)."\">
</form>";

} # fine if ($crea_modello)




if ($form_modello_disponibilita) {
$mostra_form_creazione = "NO";


esegui_query("delete from $tablepersonalizza where idpersonalizza = 'ultime_sel_crea_modelli' and idutente = '$id_utente'");
esegui_query("insert into $tablepersonalizza (idpersonalizza,valpersonalizza,idutente) values ('ultime_sel_crea_modelli','".addslashes($anno_modello).";;".addslashes($lingua_modello).";;".addslashes($m_stile_soldi).";;".addslashes($m_stile_data).";;".addslashes($m_valuta_sing).";;".addslashes($m_valuta_plur)."','$id_utente') ");

# Prendo i dati dal file se gi esistente
$nome_file = mex2("modello_disponibilita",$pag,$lingua_modello).".php";
$SI = mex("SI",$pag);
$NO = mex("NO",$pag);
$modello_esistente = "NO";
if (@is_file("./$percorso_cartella_modello/$nome_file")) {
$modello_esistente = "SI";
$linee_file = file("./$percorso_cartella_modello/$nome_file");
$num_linee_file = count($linee_file);
$var_anno = "\$".mex("var_anno",$pag);
$var_apertura_tag_font = "\$".mex("var_apertura_tag_font",$pag);
$var_chiusura_tag_font = "\$".mex("var_chiusura_tag_font",$pag);
$var_periodi_menu = "\$".mex("var_periodi_menu",$pag);
$var_tariffe_mostra = "\$".mex("var_tariffe_mostra",$pag);
$var_nomi_tariffe_imposte = "\$".mex("var_nomi_tariffe_imposte",$pag);
$var_chiedi_numero_appartamenti_per_tipologia = "\$".mex("var_chiedi_numero_appartamenti_per_tipologia",$pag);
$var_massimo_numero_appartamenti_per_tipologia = "\$".mex("var_massimo_numero_appartamenti_per_tipologia",$pag);
$var_fr_appartamento = "\$".mex("var_fr_appartamento",$pag);
$var_fr_appartamenti = "\$".mex("var_fr_appartamenti",$pag);
$var_aggiungi_altre_tipologie = "\$".mex("var_aggiungi_altre_tipologie",$pag);
$var_massimo_numero_altre_tipologie = "\$".mex("var_massimo_numero_altre_tipologie",$pag);
$var_chiedi_numero_persone = "\$".mex("var_chiedi_numero_persone",$pag);
$var_massimo_numero_persone = "\$".mex("var_massimo_numero_persone",$pag);
$var_costo_aggiungi_letti = "\$".mex("var_costo_aggiungi_letti",$pag);
$var_massimo_numero_letti_aggiuntivi = "\$".mex("var_massimo_numero_letti_aggiuntivi",$pag);
$var_aggiungi_costi_fissi = "\$".mex("var_aggiungi_costi_fissi",$pag);
$var_chiedi_costi_aggiuntivi_di_pag_inserzione = "\$".mex("var_chiedi_costi_aggiuntivi_di_pag_inserzione",$pag);
$var_numero_colonne_costi_aggiuntivi = "\$".mex("var_numero_colonne_costi_aggiuntivi",$pag);
$var_costi_aggiuntivi_mostra = "\$".mex("var_costi_aggiuntivi_mostra",$pag);
$var_nomi_costi_agg_imposti = "\$".mex("var_nomi_costi_agg_imposti",$pag);
$var_assegna_con_regola2 = "\$".mex("var_assegna_con_regola2",$pag);
$var_considera_motivazioni_regola1 = "\$".mex("var_considera_motivazioni_regola1",$pag);
$var_mostra_frase_alternativa_regola1 = "\$".mex("var_mostra_frase_alternativa_regola1",$pag);
$var_fr_alternativa_regola1 = "\$".mex("var_fr_alternativa_regola1",$pag);
$var_mostra_caparra = "\$".mex("var_mostra_caparra",$pag);
$var_mostra_giorni_pieni = "\$".mex("var_mostra_giorni_pieni",$pag);
$var_mostra_richiesta_via_mail = "\$".mex("var_mostra_richiesta_via_mail",$pag);
$var_indirizzo_email = "\$".mex("var_indirizzo_email",$pag);
$var_maschera_email = "\$".mex("var_maschera_email",$pag);
# FRASI
$var_fr_Controlla_la_disponibilita = "\$".mex("var_fr_Controlla_la_disponibilita",$pag);
$var_fr_dal = "\$".mex("var_fr_dal",$pag);
$var_fr_al = "\$".mex("var_fr_al",$pag);
$var_fr_per_la_tipologia = "\$".mex("var_fr_per_la_tipologia",$pag);
$var_fr_tariffa = "\$".mex("var_fr_tariffa",$pag);
$var_fr_Numero_di = "\$".mex("var_fr_Numero_di",$pag);
$var_fr_Aggiungi_una_nuova_tipologia = "\$".mex("var_fr_Aggiungi_una_nuova_tipologia",$pag);
$var_fr_Elimina_questa_tipologia = "\$".mex("var_fr_Elimina_questa_tipologia",$pag);
$var_fr_per = "\$".mex("var_fr_per",$pag);
$var_fr_Le_date_sono_sbagliate = "\$".mex("var_fr_Le_date_sono_sbagliate",$pag);
$var_fr_La_tipologia_e_sbagliata = "\$".mex("var_fr_La_tipologia_e_sbagliata",$pag);
$var_fr_Il_numero_di = "\$".mex("var_fr_Il_numero_di",$pag);
$var_fr_richiesto_e_sbagliato = "\$".mex("var_fr_richiesto_e_sbagliato",$pag);
$var_fr_parola_La = "\$".mex("var_fr_parola_La",$pag);
$var_fr_parola_settimana = "\$".mex("var_fr_parola_settimana",$pag);
$var_fr_est = "\$".mex("var_fr_est",$pag);
$var_fr_piena = "\$".mex("var_fr_piena",$pag);
$var_fr_Non_c_e_piu_disponibilita_nel_periodo_richiesto = "\$".mex("var_fr_Non_c_e_piu_disponibilita_nel_periodo_richiesto",$pag);
$var_fr_C_e_ancora_disponibilita = "\$".mex("var_fr_C_e_ancora_disponibilita",$pag);
$var_fr_nel_periodo_richiesto = "\$".mex("var_fr_nel_periodo_richiesto",$pag);
$var_fr_nei_periodi_richiesti = "\$".mex("var_fr_nei_periodi_richiesti",$pag);
$var_fr_per_la_tipologia = "\$".mex("var_fr_per_la_tipologia",$pag);
$var_fr_per_le_tipologie_richieste = "\$".mex("var_fr_per_le_tipologie_richieste",$pag);
$var_fr_Non_c_e_piu_disponibilita = "\$".mex("var_fr_Non_c_e_piu_disponibilita",$pag);
$var_fr_in = "\$".mex("var_fr_in",$pag);
$var_fr_Periodo_di = "\$".mex("var_fr_Periodo_di",$pag);
$var_fr_parola_settimane = "\$".mex("var_fr_parola_settimane",$pag);
$var_fr_tipologia = "\$".mex("var_fr_tipologia",$pag);
$var_fr_Non_c_e_tariffa_per_questa_tipologia_ecc = "\$".mex("var_fr_Non_c_e_tariffa_per_questa_tipologia_ecc",$pag);
$var_fr_Prezzo = "\$".mex("var_fr_Prezzo",$pag);
$var_fr_Totale = "\$".mex("var_fr_Totale",$pag);
$var_fr_Caparra = "\$".mex("var_fr_Caparra",$pag);
$var_fr_compresi = "\$".mex("var_fr_compresi",$pag);
$var_fr_di = "\$".mex("var_fr_di",$pag);
$var_fr_Torna_indietro = "\$".mex("var_fr_Torna_indietro",$pag);
$var_fr_Nuovo_controllo = "\$".mex("var_fr_Nuovo_controllo",$pag);
$var_fr_Nome = "\$".mex("var_fr_Nome",$pag);
$var_fr_Email = "\$".mex("var_fr_Email",$pag);
$var_fr_Commento = "\$".mex("var_fr_Commento",$pag);
$var_fr_Invia_la_richiesta_di_prenotazione = "\$".mex("var_fr_Invia_la_richiesta_di_prenotazione",$pag);
$var_fr_Si_deve_inserire_un_indirizzo_email_valido = "\$".mex("var_fr_Si_deve_inserire_un_indirizzo_email_valido",$pag);
$var_fr_Richiesta_di_prenotazione_inviata_da = "\$".mex("var_fr_Richiesta_di_prenotazione_inviata_da",$pag);
$var_fr_Non_e_stato_possibile_inviare_la_richiesta = "\$".mex("var_fr_Non_e_stato_possibile_inviare_la_richiesta",$pag);
$var_fr_Scegliere_le_settimane_in_cui_applicare = "\$".mex("var_fr_Scegliere_le_settimane_in_cui_applicare",$pag);
$var_fr_persone = "\$".mex("var_fr_persone",$pag);
$var_fr_persona = "\$".mex("var_fr_persona",$pag);
$var_fr_Continua = "\$".mex("var_fr_Continua",$pag);
$var_fr_per_ogni = "\$".mex("var_fr_per_ogni",$pag);
$var_fr_Si_deve_inserire_il_numero_delle_persone_per = "\$".mex("var_fr_Si_deve_inserire_il_numero_delle_persone_per",$pag);
$var_fr_Errore_nei_servizi_opzionali_richiesti = "\$".mex("var_fr_Errore_nei_servizi_opzionali_richiesti",$pag);
$var_fr_supera_la_capienza_massima_della_tipologia_richiesta = "\$".mex("var_fr_supera_la_capienza_massima_della_tipologia_richiesta",$pag);
$fine_variabili = "# ".mex("FINE VARIABILI MODIFICABILI",$pag);

for ($num1 = 0 ; $num1 < $num_linee_file ; $num1++) {
$linea = togli_acapo($linee_file[$num1]);
unset($variabile);
if (substr($linea,0,strlen($var_anno)) == $var_anno) $variabile = "anno_modello_presente";
if (substr($linea,0,strlen($var_apertura_tag_font)) == $var_apertura_tag_font) $variabile = "apertura_tag_font";
if (substr($linea,0,strlen($var_chiusura_tag_font)) == $var_chiusura_tag_font) $variabile = "chiusura_tag_font";
if (substr($linea,0,strlen($var_tariffe_mostra)) == $var_tariffe_mostra) $variabile = "tariffe_mostra";
if (substr($linea,0,strlen($var_nomi_tariffe_imposte)) == $var_nomi_tariffe_imposte) $variabile = "nomi_tariffe_imposte";
if (substr($linea,0,strlen($var_chiedi_numero_appartamenti_per_tipologia)) == $var_chiedi_numero_appartamenti_per_tipologia) $variabile = "chiedi_numero_appartamenti_per_tipologia";
if (substr($linea,0,strlen($var_massimo_numero_appartamenti_per_tipologia)) == $var_massimo_numero_appartamenti_per_tipologia) $variabile = "massimo_numero_appartamenti_per_tipologia";
if (substr($linea,0,strlen($var_fr_appartamento)) == $var_fr_appartamento) $variabile = "fr_appartamento";
if (substr($linea,0,strlen($var_fr_appartamenti)) == $var_fr_appartamenti) $variabile = "fr_appartamenti";
if (substr($linea,0,strlen($var_aggiungi_altre_tipologie)) == $var_aggiungi_altre_tipologie) $variabile = "aggiungi_altre_tipologie";
if (substr($linea,0,strlen($var_massimo_numero_altre_tipologie)) == $var_massimo_numero_altre_tipologie) $variabile = "massimo_numero_altre_tipologie";
if (substr($linea,0,strlen($var_chiedi_numero_persone)) == $var_chiedi_numero_persone) $variabile = "chiedi_numero_persone";
if (substr($linea,0,strlen($var_massimo_numero_persone)) == $var_massimo_numero_persone) $variabile = "massimo_numero_persone";
if (substr($linea,0,strlen($var_costo_aggiungi_letti)) == $var_costo_aggiungi_letti) $variabile = "costo_aggiungi_letti";
if (substr($linea,0,strlen($var_massimo_numero_letti_aggiuntivi)) == $var_massimo_numero_letti_aggiuntivi) $variabile = "massimo_numero_letti_aggiuntivi";
if (substr($linea,0,strlen($var_aggiungi_costi_fissi)) == $var_aggiungi_costi_fissi) $variabile = "aggiungi_costi_fissi";
if (substr($linea,0,strlen($var_chiedi_costi_aggiuntivi_di_pag_inserzione)) == $var_chiedi_costi_aggiuntivi_di_pag_inserzione) $variabile = "chiedi_costi_aggiuntivi_di_pag_inserzione";
if (substr($linea,0,strlen($var_numero_colonne_costi_aggiuntivi)) == $var_numero_colonne_costi_aggiuntivi) $variabile = "numero_colonne_costi_aggiuntivi";
if (substr($linea,0,strlen($var_costi_aggiuntivi_mostra)) == $var_costi_aggiuntivi_mostra) $variabile = "costi_aggiuntivi_mostra";
if (substr($linea,0,strlen($var_nomi_costi_agg_imposti)) == $var_nomi_costi_agg_imposti) $variabile = "nomi_costi_agg_imposti";
if (substr($linea,0,strlen($var_assegna_con_regola2)) == $var_assegna_con_regola2) $variabile = "assegna_con_regola2";
if (substr($linea,0,strlen($var_considera_motivazioni_regola1)) == $var_considera_motivazioni_regola1) $variabile = "considera_motivazioni_regola1";
if (substr($linea,0,strlen($var_mostra_frase_alternativa_regola1)) == $var_mostra_frase_alternativa_regola1) $variabile = "mostra_frase_alternativa_regola1";
if (substr($linea,0,strlen($var_fr_alternativa_regola1)) == $var_fr_alternativa_regola1) $variabile = "fr_alternativa_regola1";
if (substr($linea,0,strlen($var_mostra_caparra)) == $var_mostra_caparra) $variabile = "mostra_caparra";
if (substr($linea,0,strlen($var_mostra_giorni_pieni)) == $var_mostra_giorni_pieni) $variabile = "mostra_giorni_pieni";
if (substr($linea,0,strlen($var_mostra_richiesta_via_mail)) == $var_mostra_richiesta_via_mail) $variabile = "mostra_richiesta_via_mail";
if (substr($linea,0,strlen($var_indirizzo_email)) == $var_indirizzo_email) $variabile = "indirizzo_email";
if (substr($linea,0,strlen($var_maschera_email)) == $var_maschera_email) $variabile = "maschera_email";
# FRASI
if (substr($linea,0,strlen($var_fr_in)) == $var_fr_in) $variabile = "fr_in";
if (substr($linea,0,strlen($var_fr_Non_c_e_piu_disponibilita)) == $var_fr_Non_c_e_piu_disponibilita) $variabile = "fr_Non_c_e_piu_disponibilita";
if (substr($linea,0,strlen($var_fr_Controlla_la_disponibilita)) == $var_fr_Controlla_la_disponibilita) $variabile = "fr_Controlla_la_disponibilita";
if (substr($linea,0,strlen($var_fr_dal)) == $var_fr_dal) $variabile = "fr_dal";
if (substr($linea,0,strlen($var_fr_al)) == $var_fr_al) $variabile = "fr_al";
if (substr($linea,0,strlen($var_fr_per_la_tipologia)) == $var_fr_per_la_tipologia) $variabile = "fr_per_la_tipologia";
if (substr($linea,0,strlen($var_fr_tariffa)) == $var_fr_tariffa) $variabile = "fr_tariffa";
if (substr($linea,0,strlen($var_fr_Numero_di)) == $var_fr_Numero_di) $variabile = "fr_Numero_di";
if (substr($linea,0,strlen($var_fr_Aggiungi_una_nuova_tipologia)) == $var_fr_Aggiungi_una_nuova_tipologia) $variabile = "fr_Aggiungi_una_nuova_tipologia";
if (substr($linea,0,strlen($var_fr_Elimina_questa_tipologia)) == $var_fr_Elimina_questa_tipologia) $variabile = "fr_Elimina_questa_tipologia";
if (substr($linea,0,strlen($var_fr_per)) == $var_fr_per) $variabile = "fr_per";
if (substr($linea,0,strlen($var_fr_Le_date_sono_sbagliate)) == $var_fr_Le_date_sono_sbagliate) $variabile = "fr_Le_date_sono_sbagliate";
if (substr($linea,0,strlen($var_fr_La_tipologia_e_sbagliata)) == $var_fr_La_tipologia_e_sbagliata) $variabile = "fr_La_tipologia_e_sbagliata";
if (substr($linea,0,strlen($var_fr_Il_numero_di)) == $var_fr_Il_numero_di) $variabile = "fr_Il_numero_di";
if (substr($linea,0,strlen($var_fr_richiesto_e_sbagliato)) == $var_fr_richiesto_e_sbagliato) $variabile = "fr_richiesto_e_sbagliato";
if (substr($linea,0,strlen($var_fr_parola_La)) == $var_fr_parola_La) $variabile = "fr_parola_La";
if (substr($linea,0,strlen($var_fr_parola_settimana)) == $var_fr_parola_settimana) $variabile = "fr_parola_settimana";
if (substr($linea,0,strlen($var_fr_est)) == $var_fr_est) $variabile = "fr_est";
if (substr($linea,0,strlen($var_fr_piena)) == $var_fr_piena) $variabile = "fr_piena";
if (substr($linea,0,strlen($var_fr_Non_c_e_piu_disponibilita_nel_periodo_richiesto)) == $var_fr_Non_c_e_piu_disponibilita_nel_periodo_richiesto) $variabile = "fr_Non_c_e_piu_disponibilita_nel_periodo_richiesto";
if (substr($linea,0,strlen($var_fr_C_e_ancora_disponibilita)) == $var_fr_C_e_ancora_disponibilita) $variabile = "fr_C_e_ancora_disponibilita";
if (substr($linea,0,strlen($var_fr_nel_periodo_richiesto)) == $var_fr_nel_periodo_richiesto) $variabile = "fr_nel_periodo_richiesto";
if (substr($linea,0,strlen($var_fr_nei_periodi_richiesti)) == $var_fr_nei_periodi_richiesti) $variabile = "fr_nei_periodi_richiesti";
if (substr($linea,0,strlen($var_fr_per_la_tipologia)) == $var_fr_per_la_tipologia) $variabile = "fr_per_la_tipologia";
if (substr($linea,0,strlen($var_fr_per_le_tipologie_richieste)) == $var_fr_per_le_tipologie_richieste) $variabile = "fr_per_le_tipologie_richieste";
if (substr($linea,0,strlen($var_fr_Periodo_di)) == $var_fr_Periodo_di) $variabile = "fr_Periodo_di";
if (substr($linea,0,strlen($var_fr_parola_settimane)) == $var_fr_parola_settimane) $variabile = "fr_parola_settimane";
if (substr($linea,0,strlen($var_fr_tipologia)) == $var_fr_tipologia) $variabile = "fr_tipologia";
if (substr($linea,0,strlen($var_fr_Non_c_e_tariffa_per_questa_tipologia_ecc)) == $var_fr_Non_c_e_tariffa_per_questa_tipologia_ecc) $variabile = "fr_Non_c_e_tariffa_per_questa_tipologia_ecc";
if (substr($linea,0,strlen($var_fr_Prezzo)) == $var_fr_Prezzo) $variabile = "fr_Prezzo";
if (substr($linea,0,strlen($var_fr_Totale)) == $var_fr_Totale) $variabile = "fr_Totale";
if (substr($linea,0,strlen($var_fr_Caparra)) == $var_fr_Caparra) $variabile = "fr_Caparra";
if (substr($linea,0,strlen($var_fr_compresi)) == $var_fr_compresi) $variabile = "fr_compresi";
if (substr($linea,0,strlen($var_fr_di)) == $var_fr_di) $variabile = "fr_di";
if (substr($linea,0,strlen($var_fr_Torna_indietro)) == $var_fr_Torna_indietro) $variabile = "fr_Torna_indietro";
if (substr($linea,0,strlen($var_fr_Nuovo_controllo)) == $var_fr_Nuovo_controllo) $variabile = "fr_Nuovo_controllo";
if (substr($linea,0,strlen($var_fr_Nome)) == $var_fr_Nome) $variabile = "fr_Nome";
if (substr($linea,0,strlen($var_fr_Email)) == $var_fr_Email) $variabile = "fr_Email";
if (substr($linea,0,strlen($var_fr_Commento)) == $var_fr_Commento) $variabile = "fr_Commento";
if (substr($linea,0,strlen($var_fr_Invia_la_richiesta_di_prenotazione)) == $var_fr_Invia_la_richiesta_di_prenotazione) $variabile = "fr_Invia_la_richiesta_di_prenotazione";
if (substr($linea,0,strlen($var_fr_Si_deve_inserire_un_indirizzo_email_valido)) == $var_fr_Si_deve_inserire_un_indirizzo_email_valido) $variabile = "fr_Si_deve_inserire_un_indirizzo_email_valido";
if (substr($linea,0,strlen($var_fr_Richiesta_di_prenotazione_inviata_da)) == $var_fr_Richiesta_di_prenotazione_inviata_da) $variabile = "fr_Richiesta_di_prenotazione_inviata_da";
if (substr($linea,0,strlen($var_fr_Non_e_stato_possibile_inviare_la_richiesta)) == $var_fr_Non_e_stato_possibile_inviare_la_richiesta) $variabile = "fr_Non_e_stato_possibile_inviare_la_richiesta";
if (substr($linea,0,strlen($var_fr_Scegliere_le_settimane_in_cui_applicare)) == $var_fr_Scegliere_le_settimane_in_cui_applicare) $variabile = "fr_Scegliere_le_settimane_in_cui_applicare";
if (substr($linea,0,strlen($var_fr_persone)) == $var_fr_persone) $variabile = "fr_persone";
if (substr($linea,0,strlen($var_fr_persona)) == $var_fr_persona) $variabile = "fr_persona";
if (substr($linea,0,strlen($var_fr_Continua)) == $var_fr_Continua) $variabile = "fr_Continua";
if (substr($linea,0,strlen($var_fr_per_ogni)) == $var_fr_per_ogni) $variabile = "fr_per_ogni";
if (substr($linea,0,strlen($var_fr_Si_deve_inserire_il_numero_delle_persone_per)) == $var_fr_Si_deve_inserire_il_numero_delle_persone_per) $variabile = "fr_Si_deve_inserire_il_numero_delle_persone_per";
if (substr($linea,0,strlen($var_fr_Errore_nei_servizi_opzionali_richiesti)) == $var_fr_Errore_nei_servizi_opzionali_richiesti) $variabile = "fr_Errore_nei_servizi_opzionali_richiesti";
if (substr($linea,0,strlen($var_fr_supera_la_capienza_massima_della_tipologia_richiesta)) == $var_fr_supera_la_capienza_massima_della_tipologia_richiesta) $variabile = "fr_supera_la_capienza_massima_della_tipologia_richiesta";
if (substr($linea,0,strlen($var_periodi_menu)) == $var_periodi_menu) {
$data_iniziale_menu = explode("<option value=\\\"",$linea);
$data_iniziale_menu = explode("\\\">",$data_iniziale_menu[1]);
$data_iniziale_menu = $data_iniziale_menu[0];
while (substr($linee_file[($num1 + 1)],0,strlen("<option value=\\\"")) == "<option value=\\\"") $num1++;
$data_finale_menu = explode("<option value=\\\"",$linee_file[$num1]);
$data_finale_menu = explode("\\\">",$data_finale_menu[1]);
$data_finale_menu = $data_finale_menu[0];
} # fine if (substr($linea,0,strlen($var_periodi_menu)) == $var_periodi_menu)
if (substr($linea,0,strlen($fine_variabili)) == $fine_variabili) break;

if ($variabile) {
$$variabile = explode("=",$linea);
$$variabile = trim(str_replace(${$variabile}[0]."=","",$linea));
if (substr($$variabile,-1) == ";") $$variabile = substr($$variabile,0,-1);
$$variabile = trim($$variabile);
if (substr($$variabile,0,1) == "\"" and substr($$variabile,-1) == "\"") $$variabile =  substr($$variabile,1,-1);
if (substr(str_replace(" ","",$$variabile),0,6) == "array(") {
$vett = $$variabile;
unset($$variabile);
${$variabile}["array_esistente"] = "SI";
$vett = ereg_replace("^array[ ]*\(","",$vett);
if (substr($vett,-1) == ")") $vett = substr($vett,0,-1);
$vett = str_replace("\\\"","#@%&",str_replace("\\\\","#@%",$vett)).",";
$in_apici = "NO";
unset($val_in_apici);
unset($val_non_apici);
for ($num2 = 0 ; $num2 < strlen($vett) ; $num2++) {
if (substr($vett,$num2,1) == "\"") {
if ($in_apici == "NO") $in_apici = "SI";
else $in_apici = "NO";
} # fine if (substr($vett,$num2,1) == "\"")
else {
if ($in_apici == "SI") $val_in_apici .= substr($vett,$num2,1);
else {
if (substr($vett,$num2,1) == ",") {
if ($val_in_apici) $val = $val_in_apici;
else $val = trim($val_non_apici);
${$variabile}[$key] = str_replace("#@%","\\",str_replace("#@%&","\"",$val));
unset($val_in_apici);
unset($val_non_apici);
} # fine if (substr($vett,$num2,1) == ",")
else {
if (substr($vett,$num2,2) == "=>") {
if ($val_in_apici) $key = $val_in_apici;
else $key = trim($val_non_apici);
$key = str_replace("#@%","\\",str_replace("#@%&","\"",$key));
$num2++;
unset($val_in_apici);
unset($val_non_apici);
} # fine if (substr($vett,$num2,2) == "=>")
else $val_non_apici .= substr($vett,$num2,1);
} # fine else if (substr($vett,$num2,1) == ",")
} # fine else if ($in_apici == "SI")
} # fine else if (substr($vett,$num2,1) == "\"")
} # fine for $num2
} # fine if (substr($$variabile,0,5) == "array")
else $$variabile = str_replace("\\\"","\"",$$variabile);
} # fine if ($variabile)

} # fine for $num1

$linee_file = implode("",$linee_file);
$prima_parte_html = explode("<!-- ".mex("INSERISCI QUI IL TUO HTML",$pag)." -->",$linee_file);
$prima_parte_html = explode("<!-- ".mex("FINE DELLA PRIMA PARTE DELL'HTML PERSONALE",$pag)."  -->",$prima_parte_html[1]);
$prima_parte_html = $prima_parte_html[0];
if (togli_acapo($prima_parte_html) != "") {
while (togli_acapo(substr($prima_parte_html,0,1)) == "") $prima_parte_html = substr($prima_parte_html,1);
while (togli_acapo(substr($prima_parte_html,-1)) == "") $prima_parte_html = substr($prima_parte_html,0,-1);
} # fine if (togli_acapo($prima_parte_html) != "")
$ultima_parte_html = explode("<!-- ".mex("INIZIO DELLA SECONDA PARTE DELL'HTML PERSONALE",$pag)."  -->",$linee_file);
$ultima_parte_html = explode("<!-- ".mex("FINE DELLA SECONDA PARTE DELL'HTML PERSONALE",$pag)."  -->",$ultima_parte_html[1]);
$ultima_parte_html = $ultima_parte_html[0];
if (togli_acapo($ultima_parte_html) != "") {
while (togli_acapo(substr($ultima_parte_html,0,1)) == "") $ultima_parte_html = substr($ultima_parte_html,1);
while (togli_acapo(substr($ultima_parte_html,-1)) == "") $ultima_parte_html = substr($ultima_parte_html,0,-1);
} # fine if (togli_acapo($ultima_parte_html) != "")
} # fine if (@is_file("./$percorso_cartella_modello/$nome_file"))


echo "<form method=\"post\" action=\"crea_modelli.php\">
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"crea_modello\" value=\"SI\">
<input type=\"hidden\" name=\"fonte_dati_conn\" value=\"$fonte_dati_conn\">
<input type=\"hidden\" name=\"T_PHPR_DB_TYPE\" value=\"$T_PHPR_DB_TYPE\">
<input type=\"hidden\" name=\"T_PHPR_DB_NAME\" value=\"$T_PHPR_DB_NAME\">
<input type=\"hidden\" name=\"T_PHPR_DB_HOST\" value=\"$T_PHPR_DB_HOST\">
<input type=\"hidden\" name=\"T_PHPR_DB_PORT\" value=\"$T_PHPR_DB_PORT\">
<input type=\"hidden\" name=\"T_PHPR_DB_USER\" value=\"$T_PHPR_DB_USER\">
<input type=\"hidden\" name=\"T_PHPR_DB_PASS\" value=\"$T_PHPR_DB_PASS\">
<input type=\"hidden\" name=\"T_PHPR_LOAD_EXT\" value=\"$T_PHPR_LOAD_EXT\">
<input type=\"hidden\" name=\"T_PHPR_TAB_PRE\" value=\"$T_PHPR_TAB_PRE\">
<input type=\"hidden\" name=\"anno_modello\" value=\"$anno_modello\">
<input type=\"hidden\" name=\"lingua_modello\" value=\"$lingua_modello\">
<input type=\"hidden\" name=\"m_stile_soldi\" value=\"$m_stile_soldi\">
<input type=\"hidden\" name=\"m_stile_data\" value=\"$m_stile_data\">
<input type=\"hidden\" name=\"m_valuta_sing\" value=\"$m_valuta_sing\">
<input type=\"hidden\" name=\"m_valuta_plur\" value=\"$m_valuta_plur\">

<center><font size=+1>".mex("Modello per controllare la disponibilit",$pag)."</font></center><br><br>
".mex("Date nei men a tendina",$pag).": ".mex("dal",$pag)." ";
mostra_menu_date("./dati/selectperiodi$anno_modello.1.php","inizioperiodo",$data_iniziale_menu,"","",$id_utente,$tema);
echo " ".mex("al",$pag)." ";
mostra_menu_date("./dati/selectperiodi$anno_modello.1.php","fineperiodo",$data_finale_menu,"","",$id_utente,$tema);
echo "<br><br>";

echo mex("Tariffe da mostrare ed eventuali loro nomi sostitutivi con cui mostrarle",$pag).":<br>
<table border=\"1\" align=\"center\"><tr>";
$celle = 1;
$num_colonne = 2;
$tablenometariffe_modello = $PHPR_TAB_PRE."ntariffe".$anno_modello;
$rigatariffe = esegui_query("select * from $tablenometariffe_modello where idntariffe = 1 ");
$numero_tariffe = risul_query($rigatariffe,0,nomecostoagg);
for ($numtariffa = 1 ; $numtariffa <= $numero_tariffe ; $numtariffa++) {
$tariffa = "tariffa".$numtariffa;
$nometariffa=risul_query($rigatariffe,0,$tariffa);
if ($nometariffa == "") {
$nometariffa = $tariffa;
$nometariffa_vedi = mex("tariffa",$pag).$numtariffa;
} # fine if ($nometariffa == "")
else $nometariffa_vedi = $nometariffa;
$nome_tariffa_imposto = "nome_tariffa_imposto".$numtariffa;
if (strtoupper($tariffe_mostra[$numtariffa]) == $SI) $checked = " checked";
else $checked = "";
if (!$tariffe_mostra["array_esistente"]) $checked = " checked";
$val = "";
if ($nomi_tariffe_imposte["array_esistente"]) $val = $nomi_tariffe_imposte[$numtariffa];
echo "<td><input type=\"checkbox\" name=\"$tariffa\" value=\"SI\"$checked> <b>$numtariffa</b>. $nometariffa_vedi
 (".mex("col nome",$pag)." <input type=\"text\" name=\"$nome_tariffa_imposto\" value=\"$val\" size=\"22\">)</td>";
if ($celle == $num_colonne) {
echo "</tr><tr>";
$celle = 0;
} # fine if ($celle == 3)
$celle++;
} # fine for $numtariffa
if ($celle != 1) for ($num1 = $celle ; $num1 <= $num_colonne ; $num1++) echo "<td>&nbsp;</td>";

if (!$chiedi_numero_appartamenti_per_tipologia or strtoupper($chiedi_numero_appartamenti_per_tipologia) == $SI) { $sel_SI = " selected"; $sel_NO = ""; }
else { $sel_NO = " selected"; $sel_SI = ""; }
if ($massimo_numero_appartamenti_per_tipologia) $val = $massimo_numero_appartamenti_per_tipologia;
else $val = 0;
if ($fr_appartamenti) $parola_appartamenti = $fr_appartamenti;
else $parola_appartamenti = mex2("appartamenti",$pag,$lingua_modello);
if ($fr_appartamento) $parola_appartamento = $fr_appartamento;
else $parola_appartamento = mex2("appartamento",$pag,$lingua_modello);
echo "</tr></table><br>
".mex("Chiedere il numero di appartamenti per ogni tipologia?",$pag)."
<select name=\"chiedi_num_app_tipologia\">
<option value=\"SI\"$sel_SI>".mex("SI",$pag)."</option>
<option value=\"NO\"$sel_NO>".mex("NO",$pag)."</option>
</select><br><table><tr><td width=\"25\"></td><td>
".mex("Numero massimo di appartamenti",$pag).":
 <input type=\"text\" name=\"max_num_app_tipologia\" size=\"3\" value=\"$val\">
(".mex("0 per scelta libera",$pag).").<br>
".mex("Parola da utilizzare per indicare gli appartamenti",$pag).":
 <input type=\"text\" name=\"parola_appartamenti\" size=\"15\" value=\"$parola_appartamenti\">;
 ".mex("singolare",$pag).": <input type=\"text\" name=\"parola_appartamento\" size=\"15\" value=\"$parola_appartamento\">
</td></tr></table><br>";

if (!$aggiungi_altre_tipologie or strtoupper($aggiungi_altre_tipologie) == $SI) { $sel_SI = " selected"; $sel_NO = ""; }
else { $sel_NO = " selected"; $sel_SI = ""; }
if ($massimo_numero_altre_tipologie) $val = $massimo_numero_altre_tipologie;
else $val = 3;
echo "".mex("Possibilit di aggiungere pi tipologie da controllare contemporaneamente?",$pag)."
<select name=\"aggiungi_tipologie\">
<option value=\"SI\"$sel_SI>".mex("SI",$pag)."</option>
<option value=\"NO\"$sel_NO>".mex("NO",$pag)."</option>
</select><br><table><tr><td width=\"25\"></td><td>
".mex("Numero massimo di tipologie",$pag).":
 <input type=\"text\" name=\"max_num_tipologie\" size=\"3\" value=\"$val\">
</td></tr></table><br>";

if (!$chiedi_numero_persone or strtoupper($chiedi_numero_persone) == $NO) { $check_NO = " checked"; $check_SI = ""; }
else { $check_SI = " checked"; $check_NO = ""; }
if ($massimo_numero_persone) $val = $massimo_numero_persone;
else $val = 0;
echo "".mex("Chiedere il numero di persone?",$pag)."
 <input type=\"radio\" name=\"chiedi_num_persone\" value=\"NO\"$check_NO>".mex("No",$pag)."
 <input type=\"radio\" name=\"chiedi_num_persone\" value=\"SI\"$check_SI>".mex("Si",$pag)."<br>
<table><tr><td width=\"25\"></td><td>
".mex("Numero massimo di persone",$pag).":
 <input type=\"text\" name=\"max_num_persone\" size=\"3\" value=\"$val\">
(".mex("0 per scelta libera",$pag).").";
$dati_ca = dati_costi_agg_ntariffe($tablenometariffe,"NO");
$select_costi_letto = "";
for ($numca = 0 ; $numca < $dati_ca[num] ; $numca++) {
if ($costo_aggiungi_letti == $dati_ca[$numca][id]) $sel = " selected";
else $sel = "";
if ($dati_ca[$numca][letto] == "s" and $dati_ca[$numca][numsett] != "c" and $dati_ca[$numca][mostra] == "s") $select_costi_letto .= "<option value=\"".$dati_ca[$numca][id]."\"$sel>".$dati_ca[$numca][nome]."</option>";
} # fine for $numca
if ($select_costi_letto) {
if ($costo_aggiungi_letti == "") $sel = " selected";
else $sel = "";
if ($massimo_numero_letti_aggiuntivi) $val = $massimo_numero_letti_aggiuntivi;
else $val = 2;
echo "<br>".mex("Se le persone superano la capienza massima utilizzare il costo aggiuntivo",$pag)."
<select name=\"costo_aggiungi_letti\">
<option value=\"\"$sel>----</option>
$select_costi_letto
</select><br>
<table><tr><td width=\"25\"></td><td>".mex("Se il costo pu essere moltiplicato aggiungere al massimo",$pag)."
 <input type=\"text\" name=\"max_num_aggiungi_letti\" size=\"3\" value=\"$val\">
 ".mex("letti aggiuntivi",$pag).".</td></tr></table>";
} # fine if ($select_costi_letto)

if (!$chiedi_costi_aggiuntivi_di_pag_inserzione or strtoupper($chiedi_costi_aggiuntivi_di_pag_inserzione) == $SI) { $sel_SI = " selected"; $sel_NO = ""; }
else { $sel_NO = " selected"; $sel_SI = ""; }
if ($numero_colonne_costi_aggiuntivi) $val = $numero_colonne_costi_aggiuntivi;
else $val = 2;
echo "</td></tr></table><br>
".mex("Chidere se aggiungere i costi presenti nella pagina di inserzione prenotazioni?",$pag)."
 <select name=\"mostra_costi_aggiuntivi\">
<option value=\"SI\"$sel_SI>".mex("SI",$pag)."</option>
<option value=\"NO\"$sel_NO>".mex("NO",$pag)."</option>
</select><br><table><tr><td width=\"25\"></td><td>
".mex("Numero di colonne dei costi aggiuntivi",$pag).":
 <input type=\"text\" name=\"num_colonne_costi_agg\" size=\"3\" value=\"$val\">
</td></tr></table>";
if (!$aggiungi_costi_fissi or strtoupper($aggiungi_costi_fissi) == $SI) { $sel_SI = " selected"; $sel_NO = ""; }
else { $sel_NO = " selected"; $sel_SI = ""; }
echo "".mex("Aggiungere al prezzo i costi aggintivi fissi associati alle tariffe?",$pag)."
<select name=\"aggiungi_costi_fissi\">
<option value=\"SI\"$sel_SI>".mex("SI",$pag)."</option>
<option value=\"NO\"$sel_NO>".mex("NO",$pag)."</option>
</select><br><br>

".mex("Costi aggiuntivi da mostrare ed eventuali loro nomi sostitutivi con cui mostrarli",$pag).":<br>
<table border=\"1\" align=\"center\"><tr>";
$celle = 1;
$num_colonne = 2;
for ($numca = 0 ; $numca < $dati_ca[num] ; $numca++) {
if ($dati_ca[$numca][tipo] == "u") $tipo_costo = "Costo unico";
if ($dati_ca[$numca][tipo] == "s") $tipo_costo = "Costo $parola_settimanale";
$nome_costo_imposto = "nome_costo_imposto".$dati_ca[$numca][id];
if (!$costi_aggiuntivi_mostra["array_esistente"] or strtoupper($costi_aggiuntivi_mostra[$dati_ca[$numca][id]]) == $SI) $checked = " checked";
else $checked = "";
if ($nomi_costi_agg_imposti[$dati_ca[$numca][id]]) $val = $nomi_costi_agg_imposti[$dati_ca[$numca][id]];
else $val = "";
echo "<td><input type=\"checkbox\" name=\"attiva_costo".$dati_ca[$numca][id]."\" value=\"SI\"$checked>".mex("$tipo_costo",$pag)." ".$dati_ca[$numca][nome].":
 <input type=\"text\" name=\"$nome_costo_imposto\" value=\"$val\" size=\"22\"></td>";
if ($celle == $num_colonne) {
echo "</tr><tr>";
$celle = 0;
} # fine if ($celle == $num_colonne)
$celle++;
} # fine for $numca
if ($celle != 1) for ($num1 = $celle ; $num1 <= $num_colonne ; $num1++) echo "<td>&nbsp;</td>";
if ($dati_ca[num] == 0) echo "<td width=\"250\">&nbsp;</td>";
echo "</tr></table><br>";

if (!$assegna_con_regola2 or strtoupper($assegna_con_regola2) == $SI) echo "<input type=\"hidden\" name=\"assegna_con_regola2\" value=\"SI\">";
else echo "<input type=\"hidden\" name=\"assegna_con_regola2\" value=\"NO\">";
/*
if (!$assegna_con_regola2 or strtoupper($assegna_con_regola2) == $SI) { $sel_SI = " selected"; $sel_NO = ""; }
else { $sel_NO = " selected"; $sel_SI = ""; }
echo "".mex("Assegnare gli appartamenti in base alla tariffa scelta con la regola 2?",$pag)."
<select name=\"assegna_con_regola2\">
<option value=\"SI\"$sel_SI>".mex("SI",$pag)."</option>
<option value=\"NO\"$sel_NO>".mex("NO",$pag)."</option>
</select><br><br>";
*/

echo "".mex("Motivazioni della regola di assegnazone 1 da tenere in conto",$pag).":<br>
<table border=\"1\" align=\"center\"><tr>";
$celle = 1;
$num_colonne = 3;
$tableregole_modello = $PHPR_TAB_PRE."regole".$anno_modello;
$regole = esegui_query("select * from $tableregole_modello where app_agenzia != '' order by app_agenzia");
$num_regole = numlin_query($regole);
$motivazioni_presenti = "";
$num_motivazioni = 0;
for ($num1 = 0 ; $num1 < $num_regole ; $num1 = $num1 + 1) {
$idregole = risul_query($regole,$num1,idregole);
$motivazione = risul_query($regole,$num1,motivazione);
if (!$motivazione) {
$motivazione = " ";
$motivazione_vedi = mex("nessuna",$pag);
} # fine if (!$motivazione)
else $motivazione_vedi = $motivazione;
if ($motivazioni_presenti[$motivazione] != "SI") {
$motivazioni_presenti[$motivazione] = "SI";
$var_motivazione = "var_mot_".$num_motivazioni;
$num_motivazioni++;
if (!$considera_motivazioni_regola1["array_esistente"] or strtoupper($considera_motivazioni_regola1[$motivazione]) == $SI) $checked = " checked";
else $checked = "";
echo "<td><input type=\"checkbox\" name=\"$var_motivazione\" value=\"$motivazione\"$checked> $motivazione_vedi</td>";
if ($celle == $num_colonne) {
echo "</tr><tr>";
$celle = 0;
} # fine if ($celle == 3)
$celle++;
} # fine if ($motivazioni_presenti[$motivazione] != "SI")
} # fine for $num1
if ($celle != 1) for ($num1 = $celle ; $num1 <= $num_colonne ; $num1++) echo "<td>&nbsp;</td>";
if ($num_regole == 0) echo "<td width=\"250\">&nbsp;</td>";
if (!$mostra_frase_alternativa_regola1 or strtoupper($mostra_frase_alternativa_regola1) == $NO) { $check_NO = " checked"; $check_SI = ""; }
else { $check_SI = " checked"; $check_NO = ""; }
if ($fr_alternativa_regola1) $val = $fr_alternativa_regola1;
else $val = mex2("Disponibilit incerta per la tipologia scelta, per ulteriori informazioni contattateci via email",$pag,$lingua_modello);
echo "</tr></table>
<input type=\"hidden\" name=\"num_motivazioni\" value=\"$num_motivazioni\">
".mex("Se si deve occupare un appartamento della regola 1 con una delle motivazioni selezionate",$pag).":
<table border=0 cellspacing=0 cellpadding=0><tr>
<td width=\"20\"></td><td align=\"left\">
<input type=\"radio\" name=\"mostra_frase_alternativa_regola1\" value=\"NO\"$check_NO> ".mex("comportati come se non vi fosse pi disponibilit",$pag)."<br>
<input type=\"radio\" name=\"mostra_frase_alternativa_regola1\" value=\"SI\"$check_SI> ".mex("dai ancora disponibilit con questa frase alternativa",$pag).":
 <input type=\"text\" name=\"frase_alternativa_regola1\" size=\"65\" value=\"$val\">
</td></tr></table><br>";

if (!$mostra_caparra or strtoupper($mostra_caparra) == $SI) { $sel_SI = " selected"; $sel_NO = ""; }
else { $sel_NO = " selected"; $sel_SI = ""; }
echo "".mex("Mostrare la caparra se presente?",$pag)."
<select name=\"mostra_caparra\">
<option value=\"SI\"$sel_SI>".mex("SI",$pag)."</option>
<option value=\"NO\"$sel_NO>".mex("NO",$pag)."</option>
</select><br>";
if (!$mostra_giorni_pieni or strtoupper($mostra_giorni_pieni) == $NO) { $sel_SI = ""; $sel_NO = " selected"; }
else { $sel_NO = ""; $sel_SI = " selected"; }
echo "".mex("Mostrare quali sono i giorni pieni all'interno dei periodi dove non c' pi disponibilit?",$pag)."
<select name=\"mostra_giorni_pieni\">
<option value=\"SI\">".mex("SI",$pag)."</option>
<option value=\"NO\">".mex("NO",$pag)."</option>
</select><br><br>";

if (!$mostra_richiesta_via_mail or strtoupper($mostra_richiesta_via_mail) == $NO) { $sel_SI = ""; $sel_NO = " selected"; }
else { $sel_NO = ""; $sel_SI = " selected"; }
echo "".mex("Mostrare la form di richiesta prenotazione via email?",$pag)."
<select name=\"mostra_richiesta_via_mail\">
<option value=\"SI\"$sel_SI>".mex("SI",$pag)."</option>
<option value=\"NO\"$sel_NO>".mex("NO",$pag)."</option>
</select><br><table><tr><td width=\"25\"></td><td>
".mex("Indirizzo email a cui inviare le richieste di prenotazione",$pag).":
 <input type=\"text\" name=\"indirizzo_email\" value=\"$indirizzo_email\" size=\"25\"><br>";
if (!$maschera_email or strtoupper($maschera_email) == $NO) { $sel_SI = ""; $sel_NO = " selected"; }
else { $sel_NO = ""; $sel_SI = " selected"; }
echo "".mex("Mascherare la provenienza dell'email sull'envelope?",$pag)."
<select name=\"maschera_envelope\">
<option value=\"SI\"$sel_SI>".mex("SI",$pag)."</option>
<option value=\"NO\"$sel_NO>".mex("NO",$pag)."</option>
</select> (".mex("provare a cambiare se non si riescono a spedire le email",$pag).")
</td></tr></table><br>";

if (!$apertura_tag_font) $apertura_tag_font = "<font color=&quot#000000&quot>";
else $apertura_tag_font = htmlentities($apertura_tag_font);
if (!$chiusura_tag_font) $chiusura_tag_font = "</font>";
else $chiusura_tag_font = htmlentities($chiusura_tag_font);
echo "".mex("Tag html di apertura per la formattazione dei font",$pag).":
 <input type=\"text\" name=\"apertura_tag_font\" size=\"25\" value=\"$apertura_tag_font\"><br>
".mex("Tag html di chiusura per la formattazione dei font",$pag).":
 <input type=\"text\" name=\"chiusura_tag_font\" size=\"25\" value=\"$chiusura_tag_font\"><br>";

if (!$prima_parte_html) {
$prima_parte_html = "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\">
<html>
<head>
<title> $nome_file </title>
</head>
<body bgcolor=\"#ffffff\">

<center><font size=\"+2\">".mex2("Controlla la disponibilit",$pag,$lingua_modello)."</font></center>
<br><br>

<table align=\"center\" border=1><tr><td>";
} # fine if (!$prima_parte_html)
else $prima_parte_html = htmlentities($prima_parte_html);
if (!$ultima_parte_html) {
$ultima_parte_html = "
</td></tr></table>

</body>
</html>";
} # fine if (!$ultima_parte_html)
else $ultima_parte_html = htmlentities($ultima_parte_html);
echo "<br>".mex("Parte html del file prima della form di disponibilit",$pag).":<br>
<textarea name=\"prima_parte_html\" rows=12 cols=90>$prima_parte_html
</textarea><br>
<br>".mex("Parte html del file dopo la form di disponibilit",$pag).":<br>
<textarea name=\"ultima_parte_html\" rows=12 cols=90>
$ultima_parte_html
</textarea><br>

<input type=\"hidden\" name=\"cambia_frasi\" value=\"$cambia_frasi\">
<input type=\"hidden\" name=\"modello_esistente\" value=\"$modello_esistente\">";
if ($cambia_frasi) {
echo "<br><table bgcolor=\"#000000\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" align=\"center\">
<tr><td><table border=\"0\" cellpadding=\"4\" cellspacing=\"1\" width=\"100%\">
<tr><td bgcolor=\"#faffff\">
<b>".mex("Frasi predefinite",$pag)."</b><br>
<table><tr><td height=2></td></tr></table>";
if ($modello_esistente == "SI") {
echo "
".mex("Controlla la disponibilit",$pag).": <input type=\"text\" name=\"fr_Controlla_la_disponibilita\" size=\"45\" value=\"$fr_Controlla_la_disponibilita\"><br>
".mex("dal",$pag).": <input type=\"text\" name=\"fr_dal\" size=\"45\" value=\"$fr_dal\"><br>
".mex("al",$pag).": <input type=\"text\" name=\"fr_al\" size=\"45\" value=\"$fr_al\"><br>
".mex("per la tipologia",$pag).": <input type=\"text\" name=\"fr_per_la_tipologia\" size=\"45\" value=\"$fr_per_la_tipologia\"><br>
".mex("tariffa",$pag).": <input type=\"text\" name=\"fr_tariffa\" size=\"45\" value=\"$fr_tariffa\"><br>
".mex("Numero di",$pag).": <input type=\"text\" name=\"fr_Numero_di\" size=\"45\" value=\"$fr_Numero_di\"><br>
".mex("Aggiungi una nuova tipologia",$pag).": <input type=\"text\" name=\"fr_Aggiungi_una_nuova_tipologia\" size=\"45\" value=\"$fr_Aggiungi_una_nuova_tipologia\"><br>
".mex("Elimina questa tipologia",$pag).": <input type=\"text\" name=\"fr_Elimina_questa_tipologia\" size=\"45\" value=\"$fr_Elimina_questa_tipologia\"><br>
".mex("per",$pag).": <input type=\"text\" name=\"fr_per\" size=\"45\" value=\"$fr_per\"><br>
".mex("Le date sono sbagliate",$pag).": <input type=\"text\" name=\"fr_Le_date_sono_sbagliate\" size=\"45\" value=\"$fr_Le_date_sono_sbagliate\"><br>
".mex("La tipologia  sbagliata",$pag).": <input type=\"text\" name=\"fr_La_tipologia_e_sbagliata\" size=\"45\" value=\"$fr_La_tipologia_e_sbagliata\"><br>
".mex("Il numero di",$pag).": <input type=\"text\" name=\"fr_Il_numero_di\" size=\"45\" value=\"$fr_Il_numero_di\"><br>
".mex("richiesto  sbagliato",$pag).": <input type=\"text\" name=\"fr_richiesto_e_sbagliato\" size=\"45\" value=\"$fr_richiesto_e_sbagliato\"><br>
".mex("$parola_La",$pag).": <input type=\"text\" name=\"fr_parola_La\" size=\"45\" value=\"$fr_parola_La\"><br>
".mex("$parola_settimana",$pag).": <input type=\"text\" name=\"fr_parola_settimana\" size=\"45\" value=\"$fr_parola_settimana\"><br>
".mex("",$pag).": <input type=\"text\" name=\"fr_est\" size=\"45\" value=\"$fr_est\"><br>
".mex("pien$lettera_a",$pag).": <input type=\"text\" name=\"fr_piena\" size=\"45\" value=\"$fr_piena\"><br>
".mex("Non c' pi disponibilit nel periodo richiesto",$pag).": <input type=\"text\" name=\"fr_Non_c_e_piu_disponibilita_nel_periodo_richiesto\" size=\"45\" value=\"$fr_Non_c_e_piu_disponibilita_nel_periodo_richiesto\"><br>
".mex("C' ancora disponibilita",$pag).": <input type=\"text\" name=\"fr_C_e_ancora_disponibilita\" size=\"45\" value=\"$fr_C_e_ancora_disponibilita\"><br>
".mex("nel periodo richiesto",$pag).": <input type=\"text\" name=\"fr_nel_periodo_richiesto\" size=\"45\" value=\"$fr_nel_periodo_richiesto\"><br>
".mex("nei periodi richiesti",$pag).": <input type=\"text\" name=\"fr_nei_periodi_richiesti\" size=\"45\" value=\"$fr_nei_periodi_richiesti\"><br>
".mex("per la tipologia",$pag).": <input type=\"text\" name=\"fr_per_la_tipologia\" size=\"45\" value=\"$fr_per_la_tipologia\"><br>
".mex("per le tipologie richieste",$pag).": <input type=\"text\" name=\"fr_per_le_tipologie_richieste\" size=\"45\" value=\"$fr_per_le_tipologie_richieste\"><br>
".mex("Non c' pi disponibilit",$pag).": <input type=\"text\" name=\"fr_Non_c_e_piu_disponibilita\" size=\"45\" value=\"$fr_Non_c_e_piu_disponibilita\"><br>
".mex("in",$pag).": <input type=\"text\" name=\"fr_in\" size=\"45\" value=\"$fr_in\"><br>
".mex("Periodo di",$pag).": <input type=\"text\" name=\"fr_Periodo_di\" size=\"45\" value=\"$fr_Periodo_di\"><br>
".mex("$parola_settimane",$pag).": <input type=\"text\" name=\"fr_parola_settimane\" size=\"45\" value=\"$fr_parola_settimane\"><br>
".mex("tipologia",$pag).": <input type=\"text\" name=\"fr_tipologia\" size=\"45\" value=\"$fr_tipologia\"><br>
".mex("Non c' ancora nessuna tariffa per la tipologia richiesta in questo periodo",$pag).": <input type=\"text\" name=\"fr_Non_c_e_tariffa_per_questa_tipologia_ecc\" size=\"45\" value=\"$fr_Non_c_e_tariffa_per_questa_tipologia_ecc\"><br>
".mex("Prezzo",$pag).": <input type=\"text\" name=\"fr_Prezzo\" size=\"45\" value=\"$fr_Prezzo\"><br>
".mex("Totale",$pag).": <input type=\"text\" name=\"fr_Totale\" size=\"45\" value=\"$fr_Totale\"><br>
".mex("Caparra",$pag).": <input type=\"text\" name=\"fr_Caparra\" size=\"45\" value=\"$fr_Caparra\"><br>
".mex("compresi",$pag).": <input type=\"text\" name=\"fr_compresi\" size=\"45\" value=\"$fr_compresi\"><br>
".mex("di",$pag).": <input type=\"text\" name=\"fr_di\" size=\"45\" value=\"$fr_di\"><br>
".mex("Torna indietro",$pag).": <input type=\"text\" name=\"fr_Torna_indietro\" size=\"45\" value=\"$fr_Torna_indietro\"><br>
".mex("Nuovo controllo",$pag).": <input type=\"text\" name=\"fr_Nuovo_controllo\" size=\"45\" value=\"$fr_Nuovo_controllo\"><br>
".mex("Nome",$pag).": <input type=\"text\" name=\"fr_Nome\" size=\"45\" value=\"$fr_Nome\"><br>
".mex("Email",$pag).": <input type=\"text\" name=\"fr_Email\" size=\"45\" value=\"$fr_Email\"><br>
".mex("Commento",$pag).": <input type=\"text\" name=\"fr_Commento\" size=\"45\" value=\"$fr_Commento\"><br>
".mex("Invia la richiesta di prenotazione",$pag).": <input type=\"text\" name=\"fr_Invia_la_richiesta_di_prenotazione\" size=\"45\" value=\"$fr_Invia_la_richiesta_di_prenotazione\"><br>
".mex("Si deve inserire un indirizzo email valido",$pag).": <input type=\"text\" name=\"fr_Si_deve_inserire_un_indirizzo_email_valido\" size=\"45\" value=\"$fr_Si_deve_inserire_un_indirizzo_email_valido\"><br>
".mex("Richiesta di prenotazione inviata da",$pag).": <input type=\"text\" name=\"fr_Richiesta_di_prenotazione_inviata_da\" size=\"45\" value=\"$fr_Richiesta_di_prenotazione_inviata_da\"><br>
".mex("Non  stato possibile inviare la richiesta",$pag).": <input type=\"text\" name=\"fr_Non_e_stato_possibile_inviare_la_richiesta\" size=\"45\" value=\"$fr_Non_e_stato_possibile_inviare_la_richiesta\"><br>
".mex("Scegliere $parola_le $parola_settimane in cui applicare",$pag).": <input type=\"text\" name=\"fr_Scegliere_le_settimane_in_cui_applicare\" size=\"45\" value=\"$fr_Scegliere_le_settimane_in_cui_applicare\"><br>
".mex("persone",$pag).": <input type=\"text\" name=\"fr_persone\" size=\"45\" value=\"$fr_persone\"><br>
".mex("persona",$pag).": <input type=\"text\" name=\"fr_persona\" size=\"45\" value=\"$fr_persona\"><br>
".mex("Continua",$pag).": <input type=\"text\" name=\"fr_Continua\" size=\"45\" value=\"$fr_Continua\"><br>
".mex("per ogni",$pag).": <input type=\"text\" name=\"fr_per_ogni\" size=\"45\" value=\"$fr_per_ogni\"><br>
".mex("Si deve inserire il numero delle persone per",$pag).": <input type=\"text\" name=\"fr_Si_deve_inserire_il_numero_delle_persone_per\" size=\"45\" value=\"$fr_Si_deve_inserire_il_numero_delle_persone_per\"><br>
".mex("Errore nei servizi opzionali richiesti",$pag).": <input type=\"text\" name=\"fr_Errore_nei_servizi_opzionali_richiesti\" size=\"45\" value=\"$fr_Errore_nei_servizi_opzionali_richiesti\"><br>
".mex("supera la capienza massima della tipologia richiesta",$pag).": <input type=\"text\" name=\"fr_supera_la_capienza_massima_della_tipologia_richiesta\" size=\"45\" value=\"$fr_supera_la_capienza_massima_della_tipologia_richiesta\"><br>
";
} # fine if ($modello_esistente == "SI")
else {
echo "
".mex("Controlla la disponibilit",$pag).": <input type=\"text\" name=\"fr_Controlla_la_disponibilita\" size=\"45\" value=\"".mex2("Controlla la disponibilit",$pag,$lingua_modello)."\"><br>
".mex("dal",$pag).": <input type=\"text\" name=\"fr_dal\" size=\"45\" value=\"".mex2("dal",$pag,$lingua_modello)."\"><br>
".mex("al",$pag).": <input type=\"text\" name=\"fr_al\" size=\"45\" value=\"".mex2("al",$pag,$lingua_modello)."\"><br>
".mex("per la tipologia",$pag).": <input type=\"text\" name=\"fr_per_la_tipologia\" size=\"45\" value=\"".mex2("per la tipologia",$pag,$lingua_modello)."\"><br>
".mex("tariffa",$pag).": <input type=\"text\" name=\"fr_tariffa\" size=\"45\" value=\"".mex2("tariffa",$pag,$lingua_modello)."\"><br>
".mex("Numero di",$pag).": <input type=\"text\" name=\"fr_Numero_di\" size=\"45\" value=\"".mex2("Numero di",$pag,$lingua_modello)."\"><br>
".mex("Aggiungi una nuova tipologia",$pag).": <input type=\"text\" name=\"fr_Aggiungi_una_nuova_tipologia\" size=\"45\" value=\"".mex2("Aggiungi una nuova tipologia",$pag,$lingua_modello)."\"><br>
".mex("Elimina questa tipologia",$pag).": <input type=\"text\" name=\"fr_Elimina_questa_tipologia\" size=\"45\" value=\"".mex2("Elimina questa tipologia",$pag,$lingua_modello)."\"><br>
".mex("per",$pag).": <input type=\"text\" name=\"fr_per\" size=\"45\" value=\"".mex2("per",$pag,$lingua_modello)."\"><br>
".mex("Le date sono sbagliate",$pag).": <input type=\"text\" name=\"fr_Le_date_sono_sbagliate\" size=\"45\" value=\"".mex2("Le date sono sbagliate",$pag,$lingua_modello)."\"><br>
".mex("La tipologia  sbagliata",$pag).": <input type=\"text\" name=\"fr_La_tipologia_e_sbagliata\" size=\"45\" value=\"".mex2("La tipologia  sbagliata",$pag,$lingua_modello)."\"><br>
".mex("Il numero di",$pag).": <input type=\"text\" name=\"fr_Il_numero_di\" size=\"45\" value=\"".mex2("Il numero di",$pag,$lingua_modello)."\"><br>
".mex("richiesto  sbagliato",$pag).": <input type=\"text\" name=\"fr_richiesto_e_sbagliato\" size=\"45\" value=\"".mex2("richiesto  sbagliato",$pag,$lingua_modello)."\"><br>
".mex("$parola_La",$pag).": <input type=\"text\" name=\"fr_parola_La\" size=\"45\" value=\"".mex2("$parola_La",$pag,$lingua_modello)."\"><br>
".mex("$parola_settimana",$pag).": <input type=\"text\" name=\"fr_parola_settimana\" size=\"45\" value=\"".mex2("$parola_settimana",$pag,$lingua_modello)."\"><br>
".mex("",$pag).": <input type=\"text\" name=\"fr_est\" size=\"45\" value=\"".mex2("",$pag,$lingua_modello)."\"><br>
".mex("pien$lettera_a",$pag).": <input type=\"text\" name=\"fr_piena\" size=\"45\" value=\"".mex2("pien$lettera_a",$pag,$lingua_modello)."\"><br>
".mex("Non c' pi disponibilit nel periodo richiesto",$pag).": <input type=\"text\" name=\"fr_Non_c_e_piu_disponibilita_nel_periodo_richiesto\" size=\"45\" value=\"".mex2("Non c' pi disponibilit nel periodo richiesto",$pag,$lingua_modello)."\"><br>
".mex("C' ancora disponibilita",$pag).": <input type=\"text\" name=\"fr_C_e_ancora_disponibilita\" size=\"45\" value=\"".mex2("C' ancora disponibilita",$pag,$lingua_modello)."\"><br>
".mex("nel periodo richiesto",$pag).": <input type=\"text\" name=\"fr_nel_periodo_richiesto\" size=\"45\" value=\"".mex2("nel periodo richiesto",$pag,$lingua_modello)."\"><br>
".mex("nei periodi richiesti",$pag).": <input type=\"text\" name=\"fr_nei_periodi_richiesti\" size=\"45\" value=\"".mex2("nei periodi richiesti",$pag,$lingua_modello)."\"><br>
".mex("per la tipologia",$pag).": <input type=\"text\" name=\"fr_per_la_tipologia\" size=\"45\" value=\"".mex2("per la tipologia",$pag,$lingua_modello)."\"><br>
".mex("per le tipologie richieste",$pag).": <input type=\"text\" name=\"fr_per_le_tipologie_richieste\" size=\"45\" value=\"".mex2("per le tipologie richieste",$pag,$lingua_modello)."\"><br>
".mex("Non c' pi disponibilit",$pag).": <input type=\"text\" name=\"fr_Non_c_e_piu_disponibilita\" size=\"45\" value=\"".mex2("Non c' pi disponibilit",$pag,$lingua_modello)."\"><br>
".mex("in",$pag).": <input type=\"text\" name=\"fr_in\" size=\"45\" value=\"".mex2("in",$pag,$lingua_modello)."\"><br>
".mex("Periodo di",$pag).": <input type=\"text\" name=\"fr_Periodo_di\" size=\"45\" value=\"".mex2("Periodo di",$pag,$lingua_modello)."\"><br>
".mex("$parola_settimane",$pag).": <input type=\"text\" name=\"fr_parola_settimane\" size=\"45\" value=\"".mex2("$parola_settimane",$pag,$lingua_modello)."\"><br>
".mex("tipologia",$pag).": <input type=\"text\" name=\"fr_tipologia\" size=\"45\" value=\"".mex2("tipologia",$pag,$lingua_modello)."\"><br>
".mex("Non c' ancora nessuna tariffa per la tipologia richiesta in questo periodo",$pag).": <input type=\"text\" name=\"fr_Non_c_e_tariffa_per_questa_tipologia_ecc\" size=\"45\" value=\"".mex2("Non c' ancora nessuna tariffa per la tipologia richiesta in questo periodo",$pag,$lingua_modello)."\"><br>
".mex("Prezzo",$pag).": <input type=\"text\" name=\"fr_Prezzo\" size=\"45\" value=\"".mex2("Prezzo",$pag,$lingua_modello)."\"><br>
".mex("Totale",$pag).": <input type=\"text\" name=\"fr_Totale\" size=\"45\" value=\"".mex2("Totale",$pag,$lingua_modello)."\"><br>
".mex("Caparra",$pag).": <input type=\"text\" name=\"fr_Caparra\" size=\"45\" value=\"".mex2("Caparra",$pag,$lingua_modello)."\"><br>
".mex("compresi",$pag).": <input type=\"text\" name=\"fr_compresi\" size=\"45\" value=\"".mex2("compresi",$pag,$lingua_modello)."\"><br>
".mex("di",$pag).": <input type=\"text\" name=\"fr_di\" size=\"45\" value=\"".mex2("di",$pag,$lingua_modello)."\"><br>
".mex("Torna indietro",$pag).": <input type=\"text\" name=\"fr_Torna_indietro\" size=\"45\" value=\"".mex2("Torna indietro",$pag,$lingua_modello)."\"><br>
".mex("Nuovo controllo",$pag).": <input type=\"text\" name=\"fr_Nuovo_controllo\" size=\"45\" value=\"".mex2("Nuovo controllo",$pag,$lingua_modello)."\"><br>
".mex("Nome",$pag).": <input type=\"text\" name=\"fr_Nome\" size=\"45\" value=\"".mex2("Nome",$pag,$lingua_modello)."\"><br>
".mex("Email",$pag).": <input type=\"text\" name=\"fr_Email\" size=\"45\" value=\"".mex2("Email",$pag,$lingua_modello)."\"><br>
".mex("Commento",$pag).": <input type=\"text\" name=\"fr_Commento\" size=\"45\" value=\"".mex2("Commento",$pag,$lingua_modello)."\"><br>
".mex("Invia la richiesta di prenotazione",$pag).": <input type=\"text\" name=\"fr_Invia_la_richiesta_di_prenotazione\" size=\"45\" value=\"".mex2("Invia la richiesta di prenotazione",$pag,$lingua_modello)."\"><br>
".mex("Si deve inserire un indirizzo email valido",$pag).": <input type=\"text\" name=\"fr_Si_deve_inserire_un_indirizzo_email_valido\" size=\"45\" value=\"".mex2("Si deve inserire un indirizzo email valido",$pag,$lingua_modello)."\"><br>
".mex("Richiesta di prenotazione inviata da",$pag).": <input type=\"text\" name=\"fr_Richiesta_di_prenotazione_inviata_da\" size=\"45\" value=\"".mex2("Richiesta di prenotazione inviata da",$pag,$lingua_modello)."\"><br>
".mex("Non  stato possibile inviare la richiesta",$pag).": <input type=\"text\" name=\"fr_Non_e_stato_possibile_inviare_la_richiesta\" size=\"45\" value=\"".mex2("Non  stato possibile inviare la richiesta",$pag,$lingua_modello)."\"><br>
".mex("Scegliere $parola_le $parola_settimane in cui applicare",$pag).": <input type=\"text\" name=\"fr_Scegliere_le_settimane_in_cui_applicare\" size=\"45\" value=\"".mex2("Scegliere $parola_le $parola_settimane in cui applicare",$pag,$lingua_modello)."\"><br>
".mex("persone",$pag).": <input type=\"text\" name=\"fr_persone\" size=\"45\" value=\"".mex2("persone",$pag,$lingua_modello)."\"><br>
".mex("persona",$pag).": <input type=\"text\" name=\"fr_persona\" size=\"45\" value=\"".mex2("persona",$pag,$lingua_modello)."\"><br>
".mex("Continua",$pag).": <input type=\"text\" name=\"fr_Continua\" size=\"45\" value=\"".mex2("Continua",$pag,$lingua_modello)."\"><br>
".mex("per ogni",$pag).": <input type=\"text\" name=\"fr_per_ogni\" size=\"45\" value=\"".mex2("per ogni",$pag,$lingua_modello)."\"><br>
".mex("Si deve inserire il numero delle persone per",$pag).": <input type=\"text\" name=\"fr_Si_deve_inserire_il_numero_delle_persone_per\" size=\"45\" value=\"".mex2("Si deve inserire il numero delle persone per",$pag,$lingua_modello)."\"><br>
".mex("Errore nei servizi opzionali richiesti",$pag).": <input type=\"text\" name=\"fr_Errore_nei_servizi_opzionali_richiesti\" size=\"45\" value=\"".mex2("Errore nei servizi opzionali richiesti",$pag,$lingua_modello)."\"><br>
".mex("supera la capienza massima della tipologia richiesta",$pag).": <input type=\"text\" name=\"fr_supera_la_capienza_massima_della_tipologia_richiesta\" size=\"45\" value=\"".mex2("supera la capienza massima della tipologia richiesta",$pag,$lingua_modello)."\"><br>
";
} # fine else if ($modello_esistente == "SI")
echo "</td></tr></table>
</td></tr></table>";
} # fine if ($cambia_frasi)
elseif ($modello_esistente == "SI") {
echo "
<input type=\"hidden\" name=\"fr_Controlla_la_disponibilita\" value=\"$fr_Controlla_la_disponibilita\">
<input type=\"hidden\" name=\"fr_dal\" value=\"$fr_dal\">
<input type=\"hidden\" name=\"fr_al\" value=\"$fr_al\">
<input type=\"hidden\" name=\"fr_per_la_tipologia\" value=\"$fr_per_la_tipologia\">
<input type=\"hidden\" name=\"fr_tariffa\" value=\"$fr_tariffa\">
<input type=\"hidden\" name=\"fr_Numero_di\" value=\"$fr_Numero_di\">
<input type=\"hidden\" name=\"fr_Aggiungi_una_nuova_tipologia\" value=\"$fr_Aggiungi_una_nuova_tipologia\">
<input type=\"hidden\" name=\"fr_Elimina_questa_tipologia\" value=\"$fr_Elimina_questa_tipologia\">
<input type=\"hidden\" name=\"fr_per\" value=\"$fr_per\">
<input type=\"hidden\" name=\"fr_Le_date_sono_sbagliate\" value=\"$fr_Le_date_sono_sbagliate\">
<input type=\"hidden\" name=\"fr_La_tipologia_e_sbagliata\" value=\"$fr_La_tipologia_e_sbagliata\">
<input type=\"hidden\" name=\"fr_Il_numero_di\" value=\"$fr_Il_numero_di\">
<input type=\"hidden\" name=\"fr_richiesto_e_sbagliato\" value=\"$fr_richiesto_e_sbagliato\">
<input type=\"hidden\" name=\"fr_parola_La\" value=\"$fr_parola_La\">
<input type=\"hidden\" name=\"fr_parola_settimana\" value=\"$fr_parola_settimana\">
<input type=\"hidden\" name=\"fr_est\" value=\"$fr_est\">
<input type=\"hidden\" name=\"fr_piena\" value=\"$fr_piena\">
<input type=\"hidden\" name=\"fr_Non_c_e_piu_disponibilita_nel_periodo_richiesto\" value=\"$fr_Non_c_e_piu_disponibilita_nel_periodo_richiesto\">
<input type=\"hidden\" name=\"fr_C_e_ancora_disponibilita\" value=\"$fr_C_e_ancora_disponibilita\">
<input type=\"hidden\" name=\"fr_nel_periodo_richiesto\" value=\"$fr_nel_periodo_richiesto\">
<input type=\"hidden\" name=\"fr_nei_periodi_richiesti\" value=\"$fr_nei_periodi_richiesti\">
<input type=\"hidden\" name=\"fr_per_la_tipologia\" value=\"$fr_per_la_tipologia\">
<input type=\"hidden\" name=\"fr_per_le_tipologie_richieste\" value=\"$fr_per_le_tipologie_richieste\">
<input type=\"hidden\" name=\"fr_Non_c_e_piu_disponibilita\" value=\"$fr_Non_c_e_piu_disponibilita\">
<input type=\"hidden\" name=\"fr_in\" value=\"$fr_in\">
<input type=\"hidden\" name=\"fr_Periodo_di\" value=\"$fr_Periodo_di\">
<input type=\"hidden\" name=\"fr_parola_settimane\" value=\"$fr_parola_settimane\">
<input type=\"hidden\" name=\"fr_tipologia\" value=\"$fr_tipologia\">
<input type=\"hidden\" name=\"fr_Non_c_e_tariffa_per_questa_tipologia_ecc\" value=\"$fr_Non_c_e_tariffa_per_questa_tipologia_ecc\">
<input type=\"hidden\" name=\"fr_Prezzo\" value=\"$fr_Prezzo\">
<input type=\"hidden\" name=\"fr_Totale\" value=\"$fr_Totale\">
<input type=\"hidden\" name=\"fr_Caparra\" value=\"$fr_Caparra\">
<input type=\"hidden\" name=\"fr_compresi\" value=\"$fr_compresi\">
<input type=\"hidden\" name=\"fr_di\" value=\"$fr_di\">
<input type=\"hidden\" name=\"fr_Torna_indietro\" value=\"$fr_Torna_indietro\">
<input type=\"hidden\" name=\"fr_Nuovo_controllo\" value=\"$fr_Nuovo_controllo\">
<input type=\"hidden\" name=\"fr_Nome\" value=\"$fr_Nome\">
<input type=\"hidden\" name=\"fr_Email\" value=\"$fr_Email\">
<input type=\"hidden\" name=\"fr_Commento\" value=\"$fr_Commento\">
<input type=\"hidden\" name=\"fr_Invia_la_richiesta_di_prenotazione\" value=\"$fr_Invia_la_richiesta_di_prenotazione\">
<input type=\"hidden\" name=\"fr_Si_deve_inserire_un_indirizzo_email_valido\" value=\"$fr_Si_deve_inserire_un_indirizzo_email_valido\">
<input type=\"hidden\" name=\"fr_Richiesta_di_prenotazione_inviata_da\" value=\"$fr_Richiesta_di_prenotazione_inviata_da\">
<input type=\"hidden\" name=\"fr_Non_e_stato_possibile_inviare_la_richiesta\" value=\"$fr_Non_e_stato_possibile_inviare_la_richiesta\">
<input type=\"hidden\" name=\"fr_Scegliere_le_settimane_in_cui_applicare\" value=\"$fr_Scegliere_le_settimane_in_cui_applicare\">
<input type=\"hidden\" name=\"fr_persone\" value=\"$fr_persone\">
<input type=\"hidden\" name=\"fr_persona\" value=\"$fr_persona\">
<input type=\"hidden\" name=\"fr_Continua\" value=\"$fr_Continua\">
<input type=\"hidden\" name=\"fr_per_ogni\" value=\"$fr_per_ogni\">
<input type=\"hidden\" name=\"fr_Si_deve_inserire_il_numero_delle_persone_per\" value=\"$fr_Si_deve_inserire_il_numero_delle_persone_per\">
<input type=\"hidden\" name=\"fr_Errore_nei_servizi_opzionali_richiesti\" value=\"$fr_Errore_nei_servizi_opzionali_richiesti\">
<input type=\"hidden\" name=\"fr_supera_la_capienza_massima_della_tipologia_richiesta\" value=\"$fr_supera_la_capienza_massima_della_tipologia_richiesta\">
";
} # fine elseif ($modello_esistente == "SI")

echo "<br><center><input class=\"sbutton\" type=\"submit\" name=\"modello_disponibilita\" value=\"".mex("Crea il modello per la dispnibilit",$pag)."\">
</center></form>
<hr width=\"95%\"><center>
<form method=\"post\" action=\"crea_modelli.php\">
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input class=\"sbutton\" type=\"submit\" name=\"indietro\" value=\"".mex("Torna indietro",$pag)."\">
</form></center>";
} # fine if ($form_modello_disponibilita)



else {
$templates_dir = opendir("./includes/templates/");
while ($modello_ext = readdir($templates_dir)) {
if ($modello_ext != "." and $modello_ext != ".." and @is_dir("./includes/templates/$modello_ext")) {
include("./includes/templates/$modello_ext/name.php");
if (${"form_".$tamplate_name}) {
$mostra_form_creazione = "NO";
include("./includes/templates/$modello_ext/form.php");
break;
} # fine if (${"form_".$tamplate_name})
} # fine if ($modello_ext != "." and $modello_ext != ".." and...
} # fine while ($file = readdir($lang_dig))
closedir($templates_dir);
} # fine else if ($form_modello_disponibilita)



if ($cancella_modelli == "SI") {
$mod_presente = "NO";
if (@is_file("./$percorso_cartella_modello/modello_disponibilita.php")) $mod_presente = "SI";
$lang_dir = opendir("./includes/lang/");
while ($ini_lingua = readdir($lang_dir)) {
if ($ini_lingua != "." && $ini_lingua != "..") {
$nome_file = mex2("modello_disponibilita",$pag,$ini_lingua).".php";
if (@is_file("./$percorso_cartella_modello/$nome_file")) $mod_presente = "SI";
} # fine if ($file != "." && $file != "..")
} # fine while ($file = readdir($lang_dir))
closedir($lang_dir);
if ($mod_presente != "SI") {
$templates_dir = opendir("./includes/templates/");
while ($modello_ext = readdir($templates_dir)) {
if ($modello_ext != "." && $modello_ext != ".." and @is_dir("./includes/templates/$modello_ext")) {
include("./includes/templates/$modello_ext/name.php");
if ($tamplate_file_name["ita"]) $nome_file = $tamplate_file_name["ita"];
else $nome_file = "ita_".$tamplate_file_name["en"];
if (@is_file("./$percorso_cartella_modello/$nome_file")) $mod_presente = "SI";
$lang_dir = opendir("./includes/lang/");
while ($ini_lingua = readdir($lang_dir)) {
if ($ini_lingua != "." && $ini_lingua != "..") {
if ($tamplate_file_name[$ini_lingua]) $nome_file = $tamplate_file_name[$ini_lingua];
else $nome_file = $ini_lingua."_".$tamplate_file_name["en"];
if (@is_file("./$percorso_cartella_modello/$nome_file")) $mod_presente = "SI";
} # fine if ($file != "." && $file != "..")
} # fine while ($file = readdir($lang_dir))
closedir($lang_dir);
} # fine if ($modello_ext != "." and $modello_ext != ".." and...
} # fine while ($file = readdir($lang_dig))
closedir($templates_dir);
} # fine if ($mod_presente != "SI")
if ($mod_presente == "SI") {
$mostra_form_creazione = "NO";
if (!$continua) {
echo "<form method=\"post\" action=\"crea_modelli.php\">
".mex("Si  sicuri di voler <font color=\"red\"><b>cancellare</b></font> tutti i modelli creati nella directory",$pag)." \"$percorso_cartella_modello\"?<br>
<table><tr><td height=2></td></tr><tr><td>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"cancella_modelli\" value=\"SI\">
<input type=\"hidden\" name=\"continua\" value=\"SI\">
<input class=\"sbutton\" type=\"submit\" value=\"".mex("SI",$pag)."\">
</form></td><td>
<form method=\"post\" action=\"crea_modelli.php\">
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input class=\"sbutton\" type=\"submit\" value=\"".mex("NO",$pag)."\">
</form></tr></td></table>";
} # fine if (!$continua)
else {
if (@is_file("./$percorso_cartella_modello/modello_disponibilita.php")) unlink("./$percorso_cartella_modello/modello_disponibilita.php");
$lang_dir = opendir("./includes/lang/");
include("./dati/lingua.php");
while ($ini_lingua = readdir($lang_dir)) {
if ($ini_lingua != "." && $ini_lingua != "..") {
$nome_file = mex2("modello_disponibilita",$pag,$ini_lingua).".php";
if (@is_file("./$percorso_cartella_modello/$nome_file")) unlink("./$percorso_cartella_modello/$nome_file");
} # fine if ($file != "." && $file != "..")
} # fine while ($file = readdir($lang_dig))
closedir($lang_dir);
$templates_dir = opendir("./includes/templates/");
while ($modello_ext = readdir($templates_dir)) {
if ($modello_ext != "." and $modello_ext != ".." and @is_dir("./includes/templates/$modello_ext")) {
include("./includes/templates/$modello_ext/name.php");
if ($tamplate_file_name["ita"]) $nome_file = $tamplate_file_name["ita"];
else $nome_file = "ita_".$tamplate_file_name["en"];
if (@is_file("./$percorso_cartella_modello/$nome_file")) unlink("./$percorso_cartella_modello/$nome_file");
$lang_dir = opendir("./includes/lang/");
while ($ini_lingua = readdir($lang_dir)) {
if ($ini_lingua != "." && $ini_lingua != "..") {
if ($tamplate_file_name[$ini_lingua]) $nome_file = $tamplate_file_name[$ini_lingua];
else $nome_file = $ini_lingua."_".$tamplate_file_name["en"];
if (@is_file("./$percorso_cartella_modello/$nome_file")) unlink("./$percorso_cartella_modello/$nome_file");
} # fine if ($file != "." && $file != "..")
} # fine while ($file = readdir($lang_dir))
closedir($lang_dir);
} # fine if ($modello_ext != "." and $modello_ext != ".." and...
} # fine while ($file = readdir($lang_dig))
closedir($templates_dir);
esegui_query("delete from $tablepersonalizza where idpersonalizza = 'ultime_sel_crea_modelli' and idutente = '$id_utente'");
echo mex("Cancellati tutti i modelli",$pag).".<br>
<form method=\"post\" action=\"crea_modelli.php\">
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input class=\"sbutton\" type=\"submit\" value=\"".mex("OK",$pag)."\">
</form>";
} # fine else if (!$continua)
} # fine if ($mod_presente == "SI")
} # fine if ($cancella_modelli == "SI")



if ($mostra_form_creazione != "NO") {

echo "<center><font size=+2>".mex("Crea modelli per internet",$pag).".</font></center>";

echo "<br><center>".mex("Dati comuni",$pag)."</center><br>
<form method=\"post\" action=\"crea_modelli.php\">
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"radio\" name=\"fonte_dati_conn\" value=\"attuali\" checked> ".mex("Utilizza i dati attuali per la connessione al database",$pag)."<br>";
if (C_BACKUP_E_MODELLI_CON_NUOVI_DATI != "NO") {
echo "<input type=\"radio\" name=\"fonte_dati_conn\" value=\"nuovi\"> ".mex("Utilizza altri dati per la connessione al database",$pag).":<br>
<table><tr><td width=\"25\"></td><td>
".mex("Tipo di database",$pag).": 
<select name=\"T_PHPR_DB_TYPE\">
<option value=\"postgresql\" selected>".mex("Postgresql",$pag)."</option>
<option value=\"mysql\">".mex("Mysql",$pag)."</option>
</select><br>
".mex("Nome del database da utilizzare",$pag).": 
<input type=\"text\" name=\"T_PHPR_DB_NAME\"><br>
".mex("Nome del computer a cui collegarsi",$pag).":
<input type=\"text\" name=\"T_PHPR_DB_HOST\" value=\"localhost\"><br>
".mex("Numero della porta a cui collegarsi",$pag).": 
<input type=\"text\" name=\"T_PHPR_DB_PORT\" value=\"5432\">(".mex("Normalmete 5432 per Postgresql o 3306 per Mysql",$pag).")<br>
".mex("Nome per l'autenticazione al database",$pag).": 
<input type=\"text\" name=\"T_PHPR_DB_USER\"><br>
".mex("Parola segreta per l'autenticazione al database",$pag).": 
<input type=\"text\" name=\"T_PHPR_DB_PASS\"><br>
".mex("Caricare la libreria dinamica \"pgsql.so\" o \"mysql.so\"",$pag)."?
<select name=\"T_PHPR_LOAD_EXT\">
<option value=\"SI\">".mex("Si",$pag)."</option>
<option value=\"NO\" selected>".mex("No",$pag)."</option>
</select> <font size=\"-1\">(".mex("scegliere si se non viene caricata automaticamente da php",$pag).")</font><br>
".mex("Prefisso nel nome delle tabelle",$pag).":
<input type=\"text\" name=\"T_PHPR_TAB_PRE\" maxlength=\"8\" size=\"9\"><font size=\"-1\">
</td></tr></table>";
} # fine if (C_BACKUP_E_MODELLI_CON_NUOVI_DATI != "NO")

$ultime_selezioni = esegui_query("select * from $tablepersonalizza where idpersonalizza = 'ultime_sel_crea_modelli' and idutente = '$id_utente'");
if (numlin_query($ultime_selezioni) == 1) {
$ultime_selezioni = risul_query($ultime_selezioni,0,valpersonalizza);
$ultime_selezioni = explode(";;",$ultime_selezioni);
$anno_usel = $ultime_selezioni[0];
$lingua_usel = $ultime_selezioni[1];
$stile_soldi_usel = $ultime_selezioni[2];
$stile_data_usel = $ultime_selezioni[3];
$valuta_sing_usel = $ultime_selezioni[4];
$valuta_plur_usel = $ultime_selezioni[5];
} # fine if (numlin_query($ultime_selezioni) == 1)

echo "<br>".mex("Anno",$pag).": <select name=\"anno_modello\">";
$anni = esegui_query("select * from $tableanni order by idanni");
$num_anni = numlin_query($anni);
for ($num1 = 0 ; $num1 < $num_anni ; $num1++) {
$anno_selezione = risul_query($anni,$num1,idanni);
if ((!$anno_usel and $anno_selezione == $anno) or $anno_selezione == $anno_usel) $selected = " selected";
else $selected = "";
echo "<option value=\"$anno_selezione\"$selected>$anno_selezione</option>";
} # fine for $num1
echo "</select><br><br>

".mex("Lingua",$pag).":
 <select name=\"lingua_modello\">
<option value=\"ita\">italiano</option>";
if (@is_file("./$percorso_cartella_modello/modello_disponibilita.php")) $mod_presente = "SI";
else $mod_presente = "NO";
$lang_dir = opendir("./includes/lang/");
include("./dati/lingua.php");
while ($ini_lingua = readdir($lang_dir)) {
if ($ini_lingua != "." && $ini_lingua != "..") {
$nome_lingua = file("./includes/lang/$ini_lingua/l_n");
$nome_lingua = togli_acapo($nome_lingua[0]);
if ((!$lingua_usel and $ini_lingua == $lingua[$id_utente]) or $ini_lingua == $lingua_usel) $selected = " selected";
else $selected = "";
echo "<option value=\"$ini_lingua\"$selected>$nome_lingua</option>";
$nome_file = mex2("modello_disponibilita",$pag,$ini_lingua).".php";
if (@is_file("./$percorso_cartella_modello/$nome_file")) $mod_presente = "SI";
} # fine if ($file != "." && $file != "..")
} # fine while ($file = readdir($lang_dig))
closedir($lang_dir);
echo "</select>

<table border=0 cellspacing=0 cellpadding=0><tr>
<td align=\"center\">".mex("Formato di visualizzazione dei soldi",$pag).":</td>";
if (!$stile_soldi_usel) {
$stile_soldi = esegui_query("select * from $tablepersonalizza where idpersonalizza = 'stile_soldi' and idutente = '$id_utente'");
$stile_soldi = risul_query($stile_soldi,0,valpersonalizza);
} # fine if (!$stile_soldi_usel)
else $stile_soldi = $stile_soldi_usel;
if ($stile_soldi == "europa") $check_soldi_eu = " checked";
if ($stile_soldi == "usa") $check_soldi_usa = " checked";
echo "<td align=\"left\">
<input type=\"radio\" name=\"m_stile_soldi\" value=\"europa\"$check_soldi_eu>1.050.000,32<br>
<input type=\"radio\" name=\"m_stile_soldi\" value=\"usa\"$check_soldi_usa>1,050,000.32
</td></tr></table>

<table border=0 cellspacing=0 cellpadding=0><tr>
<td align=\"center\">".mex("Formato di visualizzazione delle date",$pag).":</td>";
if (!$stile_data_usel) {
$stile_data = esegui_query("select * from $tablepersonalizza where idpersonalizza = 'stile_data' and idutente = '$id_utente'");
$stile_data = risul_query($stile_data,0,valpersonalizza);
} # fine if (!$stile_data_usel)
else $stile_data = $stile_data_usel;
if ($stile_data == "europa") $check_data_eu = " checked";
if ($stile_data == "usa") $check_data_usa = " checked";
echo "<td align=\"left\">
<input type=\"radio\" name=\"m_stile_data\" value=\"europa\"$check_data_eu>27-08-2002<br>
<input type=\"radio\" name=\"m_stile_data\" value=\"usa\"$check_data_usa>08-27-2002
</td></tr></table>";

if ($anno_usel) {
$val_s = $valuta_sing_usel;
$val_p = $valuta_plur_usel;
} # fine if ($anno_usel)
else {
$val_s = $Euro;
$val_p = $Euro;
} # fine else if ($anno_usel)
echo "<table border=0 cellspacing=0 cellpadding=0><tr><td>
".mex("Nome della valuta al singolare",$pag).": <input type=\"text\" name=\"m_valuta_sing\" size=\"8\" value=\"$val_s\">
</td><td width=\"50\"></td><td>
".mex("Nome della valuta al plurale",$pag).": <input type=\"text\" name=\"m_valuta_plur\" size=\"8\" value=\"$val_p\"></td>
</tr></table><table><tr><td height=2></td></tr></table>

<input type=\"checkbox\" name=\"cambia_frasi\" value=\"SI\">".mex("Modifica le frasi predefinite",$pag)."<br>
<hr width=\"95%\"><center>
<input class=\"sbutton\" type=\"submit\" name=\"form_modello_disponibilita\" value=\"".mex("Modello per la dispnibilit",$pag)."\">
</center>";

$templates_dir = opendir("./includes/templates/");
while ($modello_ext = readdir($templates_dir)) {
if ($modello_ext != "." and $modello_ext != ".." and @is_dir("./includes/templates/$modello_ext")) {
include("./includes/templates/$modello_ext/name.php");
if ($tamplate_name_show[$lingua_mex]) $nome_modello_ext = $tamplate_name_show[$lingua_mex];
else $nome_modello_ext = $tamplate_name_show["en"];
echo "<hr width=\"95%\"><center>
<input class=\"sbutton\" type=\"submit\" name=\"form_$tamplate_name\" value=\"".$nome_modello_ext."\">
</center>";
} # fine if ($modello_ext != "." and $modello_ext != ".." and...
} # fine while ($file = readdir($lang_dig))
closedir($templates_dir);

echo "</form>";


if ($mod_presente != "SI") {
$templates_dir = opendir("./includes/templates/");
while ($modello_ext = readdir($templates_dir)) {
if ($modello_ext != "." and $modello_ext != ".." and @is_dir("./includes/templates/$modello_ext")) {
include("./includes/templates/$modello_ext/name.php");
if ($tamplate_file_name["ita"]) $nome_file = $tamplate_file_name["ita"];
else $nome_file = "ita_".$tamplate_file_name["en"];
if (@is_file("./$percorso_cartella_modello/$nome_file")) $mod_presente = "SI";
$lang_dir = opendir("./includes/lang/");
while ($ini_lingua = readdir($lang_dir)) {
if ($ini_lingua != "." && $ini_lingua != "..") {
if ($tamplate_file_name[$ini_lingua]) $nome_file = $tamplate_file_name[$ini_lingua];
else $nome_file = $ini_lingua."_".$tamplate_file_name["en"];
if (@is_file("./$percorso_cartella_modello/$nome_file")) $mod_presente = "SI";
} # fine if ($file != "." && $file != "..")
} # fine while ($file = readdir($lang_dir))
closedir($lang_dir);
} # fine if ($modello_ext != "." and $modello_ext != ".." and...
} # fine while ($file = readdir($lang_dig))
closedir($templates_dir);
} # fine if ($mod_presente != "SI")
if ($mod_presente == "SI") {
echo "<hr width=\"95%\"><center>
<form method=\"post\" action=\"crea_modelli.php\">
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"cancella_modelli\" value=\"SI\">
<input class=\"sbutton\" type=\"submit\" name=\"canc_modell\" value=\"".mex("Cancella i modelli creati",$pag)."\">
</form></center>";
} # fine if ($mod_presente == "SI")


echo "<hr width=\"95%\"><center>
<form method=\"post\" action=\"personalizza.php\">
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input class=\"sbutton\" type=\"submit\" name=\"indietro\" value=\"".mex("Torna indietro",$pag)."\">
</form></center>";

} # fine if ($mostra_form_creazione != "NO")



if ($tema[$id_utente] and $tema[$id_utente] != "base" and @is_dir("./includes/themes/".$tema[$id_utente])) include("./includes/themes/".$tema[$id_utente]."/foot.php");
else include ("./includes/foot.php");


} # fine if ($id_utente and $id_utente == 1)



?>